// ProgCtrl.cpp : implementation file
//

// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#include "stdafx.h"
#include "CmnCtrl2.h"
#include "ProgCtrl.h"
#include "slidctrl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProgCtrlPage property page

//Macro *va(char *fmt, ...)
extern char *va(char *fmt, ...);


extern char defragcfg[1024*5];
char colors[256] = {0,0,0};
char fontcolors[256] = {0,0,0};

void SetValueToFile(int index, char *valeur)
{
	switch(index){

		case 0: strcpy(valeur, "sg");
			break;
		case 1: strcpy(valeur, "gl");
			break;
		case 2: strcpy(valeur, "rl");
			break;
		case 3: strcpy(valeur, "lg");
			break;
		case 4: strcpy(valeur, "rg");
			break;
		case 5: strcpy(valeur, "pg");
			break;
		case 6: strcpy(valeur, "bfg");
			break;
		case 7: strcpy(valeur, "a_mg");
			break;
		case 8: strcpy(valeur, "a_sg");
			break;
		case 9: strcpy(valeur, "a_gl");
			break;
		case 10: strcpy(valeur, "a_rl");
			break;
		case 11: strcpy(valeur, "a_lg");
			break;
		case 12: strcpy(valeur, "a_rg");
			break;
		case 13: strcpy(valeur, "a_pg");
			break;
		case 14: strcpy(valeur, "a_bfg");
			break;
		case 15: strcpy(valeur, "h5");
			break;
		case 16: strcpy(valeur, "h25");
			break;
		case 17: strcpy(valeur, "h50");
			break;
		case 18: strcpy(valeur, "mh");
			break;
		case 19: strcpy(valeur, "as");
			break;
		case 20: strcpy(valeur, "ya");
			break;
		case 21: strcpy(valeur, "ra");
			break;
		case 22: strcpy(valeur, "quad");
			break;
		case 23: strcpy(valeur, "bs");
			break;
		case 24: strcpy(valeur, "haste");
			break;
		case 25: strcpy(valeur, "invis");
			break;
		case 26: strcpy(valeur, "regen");
			break;
		case 27: strcpy(valeur, "flight");
			break;
		case 28: strcpy(valeur, "teleport");
			break;
		case 29: strcpy(valeur, "medkit");
			break;
		default: strcpy(valeur, "");
			break;
	}
}



IMPLEMENT_DYNCREATE(CProgCtrlPage, CPropertyPage)

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CProgCtrlPage::CProgCtrlPage() : CPropertyPage(CProgCtrlPage::IDD)
{
	//{{AFX_DATA_INIT(CProgCtrlPage)
	
	//}}AFX_DATA_INIT
	m_psp.dwFlags &= ~PSP_HASHELP;  // Lose the Help button

}

CProgCtrlPage::~CProgCtrlPage()
{
}

void CProgCtrlPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProgCtrlPage)
	
	//}}AFX_DATA_MAP
}

BOOL CProgCtrlPage::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	CWnd* dfnamecWnd = GetDlgItem(IDC_DFNAME);
	CWnd* countrycWnd = GetDlgItem(IDC_COUNTRY);

	//SPEED UNITS
	CComboBox* unitsComboBox;
	unitsComboBox = (CComboBox*) GetDlgItem(IDC_UNITS);
	GotoDlgCtrl(unitsComboBox);
	
	//Checkpoints
	CButton* CenterCheck;
	CenterCheck = (CButton*) GetDlgItem(IDC_CHECKCENTER);
	GotoDlgCtrl(CenterCheck);
	CButton* BottomRightCheck;
	BottomRightCheck = (CButton*) GetDlgItem(IDC_CHECKBOTTOMR);
	GotoDlgCtrl(BottomRightCheck);
	CComboBox* CheckpointsComboBox;
	CheckpointsComboBox = (CComboBox*) GetDlgItem(IDC_CHECKPOINTS);
	GotoDlgCtrl(CheckpointsComboBox);
	
	//Autorecord
	CComboBox* AutorecordComboBox;
	AutorecordComboBox = (CComboBox*) GetDlgItem(IDC_AUTORECORD);
	GotoDlgCtrl(AutorecordComboBox);
	
	//RESPAWN CFG
	CButton* RespawnCfgCheck;
	RespawnCfgCheck = (CButton*) GetDlgItem(IDC_SPAWN);
	GotoDlgCtrl(RespawnCfgCheck);

	//MAP CFG
	CButton* MapCfgCheck;
	MapCfgCheck = (CButton*) GetDlgItem(IDC_MAPCFG);
	GotoDlgCtrl(MapCfgCheck);

	//PROMODE
	CButton* PromodeCheck;
	PromodeCheck = (CButton*) GetDlgItem(IDC_CPM);
	GotoDlgCtrl(PromodeCheck);

	//DAMAGE
	CButton* DamageCheck;
	DamageCheck = (CButton*) GetDlgItem(IDC_DAMAGE);
	GotoDlgCtrl(DamageCheck);
	
	//POWERUPS
	CButton* PowerupsCheck;
	PowerupsCheck = (CButton*) GetDlgItem(IDC_POWERUPS);
	GotoDlgCtrl(PowerupsCheck);

	//Weapons
	CComboBox* AllWeaponsComboBox;
	AllWeaponsComboBox = (CComboBox*) GetDlgItem(IDC_ALLWEAPONS);
	GotoDlgCtrl(AllWeaponsComboBox);

	//StartTimerOn
	CComboBox* StartOnComboBox;
	StartOnComboBox = (CComboBox*) GetDlgItem(IDC_STARTON);
	GotoDlgCtrl(StartOnComboBox);
		
	//StopTimerOn
	CComboBox* StopOnComboBox;
	StopOnComboBox = (CComboBox*) GetDlgItem(IDC_STOPON);
	GotoDlgCtrl(StopOnComboBox);
	
	//CheckTimerOn
	CComboBox* CheckOnComboBox;
	CheckOnComboBox = (CComboBox*) GetDlgItem(IDC_CHECKON);
	GotoDlgCtrl(CheckOnComboBox);
	
	//ItemsGroupBox
	CWnd* EnablingItemsGroupBox;
	EnablingItemsGroupBox = (CWnd*) GetDlgItem(IDC_STATICITEM);
	GotoDlgCtrl(EnablingItemsGroupBox);

	//DrawSpeed Static
	CWnd* EnablingDrawSpeedStatic;
	EnablingDrawSpeedStatic = (CWnd*) GetDlgItem(IDC_STATICDRAWSPEED);
	GotoDlgCtrl(EnablingDrawSpeedStatic);

	//DefragHud
	CButton* DefragHudCheck;
	DefragHudCheck = (CButton*) GetDlgItem(IDC_DEFRAGHUD);
	GotoDlgCtrl(DefragHudCheck);

	//Draw Best Time
	CButton* DrawBestTimeCheck;
	DrawBestTimeCheck = (CButton*) GetDlgItem(IDC_BESTTIME);
	GotoDlgCtrl(DrawBestTimeCheck);
	CWnd* EnablingDrawBestTime;
	EnablingDrawBestTime = (CWnd*) GetDlgItem(IDC_BESTTIME);
	GotoDlgCtrl(EnablingDrawBestTime);

	//DRAW SPEED
	CComboBox* DrawSpeedComboBox;
	DrawSpeedComboBox = (CComboBox*) GetDlgItem(IDC_DRAWSPEED);
	GotoDlgCtrl(DrawSpeedComboBox);
	CWnd* EnablingDrawSpeed;
	EnablingDrawSpeed = (CWnd*) GetDlgItem(IDC_DRAWSPEED);
	GotoDlgCtrl(EnablingDrawSpeed);

	//Jump Meters
	CButton* HeightCheck;
	HeightCheck = (CButton*) GetDlgItem(IDC_HEIGHT);
	GotoDlgCtrl(HeightCheck);
	CWnd* EnablingHeightCheck;
	EnablingHeightCheck = (CWnd*) GetDlgItem(IDC_HEIGHT);
	GotoDlgCtrl(EnablingHeightCheck);
	CButton* DistanceCheck;
	DistanceCheck = (CButton*) GetDlgItem(IDC_DISTANCE);
	GotoDlgCtrl(DistanceCheck);
	CWnd* EnablingDistanceCheck;
	EnablingDistanceCheck = (CWnd*) GetDlgItem(IDC_DISTANCE);
	GotoDlgCtrl(EnablingDistanceCheck);
	CButton* HighValueCheck;
	HighValueCheck = (CButton*) GetDlgItem(IDC_HIGHVALUE);
	GotoDlgCtrl(HighValueCheck);
	CWnd* EnablingHighValueCheck;
	EnablingHighValueCheck = (CWnd*) GetDlgItem(IDC_HIGHVALUE);
	GotoDlgCtrl(EnablingHighValueCheck);

	//Hud Color
	CComboBox* HudColorComboBox;
	HudColorComboBox = (CComboBox*) GetDlgItem(IDC_HUDCOLOR);
	GotoDlgCtrl(HudColorComboBox);
	CWnd* EnablingHudColor;
	EnablingHudColor = (CWnd*) GetDlgItem(IDC_HUDCOLOR);
	GotoDlgCtrl(EnablingHudColor);
	CWnd* EnablingHudColorStatic;
	EnablingHudColorStatic = (CWnd*) GetDlgItem(IDC_STATICHUDCOLOR);
	GotoDlgCtrl(EnablingHudColorStatic);
	CWnd* EnablingDisplaySettingsStatic;
	EnablingDisplaySettingsStatic = (CWnd*) GetDlgItem(IDC_STATICDISPLAY);
	GotoDlgCtrl(EnablingDisplaySettingsStatic);

	//df_hud_transparency [0.0-1.0] (default: 0.25)
	CSliderCtrl* TransparencySlider;
	TransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARANCY);
	GotoDlgCtrl(TransparencySlider);
	TransparencySlider->SetRange(0, 100, FALSE);
	TransparencySlider->SetTicFreq(25);
	CWnd* EnablingTransparencySlider;
	EnablingTransparencySlider = (CWnd*) GetDlgItem(IDC_TRANSPARANCY);
	GotoDlgCtrl(EnablingTransparencySlider);
	CWnd* EnablingTransparancyStatic;
	EnablingTransparancyStatic = (CWnd*) GetDlgItem(IDC_STATICTRANSP);
	GotoDlgCtrl(EnablingTransparancyStatic);
	CWnd* EnablingOneStatic;
	EnablingOneStatic = (CWnd*) GetDlgItem(IDC_STATICONE);
	GotoDlgCtrl(EnablingOneStatic);

	//df_hud_fontcolor [0-11] (default: 7)
	CComboBox* FontColorComboBox;
	FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(FontColorComboBox);
	CWnd* EnablingFontColor;
	EnablingFontColor = (CWnd*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(EnablingFontColor);
	CWnd* EnablingFontColorStatic;
	EnablingFontColorStatic = (CWnd*) GetDlgItem(IDC_STATICFONTCOLOR);
	GotoDlgCtrl(EnablingFontColorStatic);

	//df_hud_fontshadow [0-1] (default: 1)
	CButton* FontShadowCheck;
	FontShadowCheck = (CButton*) GetDlgItem(IDC_FONTSHADOW);
	GotoDlgCtrl(FontShadowCheck);
	CWnd* EnablingFontShadow;
	EnablingFontShadow = (CWnd*) GetDlgItem(IDC_FONTSHADOW);
	GotoDlgCtrl(EnablingFontShadow);

	//df_hud_colorwarning [0-1] (default: 1)
	CButton* ColorWarningCheck;
	ColorWarningCheck = (CButton*) GetDlgItem(IDC_COLORWARNING);
	GotoDlgCtrl(ColorWarningCheck);
	CWnd* EnablingColorWarning;
	EnablingColorWarning = (CWnd*) GetDlgItem(IDC_COLORWARNING);
	GotoDlgCtrl(EnablingColorWarning);

	//df_hud_forceteamcolors [0-1] (default: 1, CTF Fast caps only)
	CButton* ForceTeamColorsCheck;
	ForceTeamColorsCheck = (CButton*) GetDlgItem(IDC_FORCETEAM);
	GotoDlgCtrl(ForceTeamColorsCheck);
	CWnd* EnablingForceTeamColors;
	EnablingForceTeamColors = (CWnd*) GetDlgItem(IDC_FORCETEAM);
	GotoDlgCtrl(EnablingForceTeamColors);

	//df_hud_3DIcons [0-1] (default: 1)
	CButton* Icon3DCheck;
	Icon3DCheck = (CButton*) GetDlgItem(IDC_ICON3D);
	GotoDlgCtrl(Icon3DCheck);
	CWnd* EnablingIcon3D;
	EnablingIcon3D = (CWnd*) GetDlgItem(IDC_ICON3D);
	GotoDlgCtrl(EnablingIcon3D);

	CWnd* EnablingRGBColors;
	EnablingRGBColors = (CWnd*) GetDlgItem(IDC_RGBCOLORS);
	GotoDlgCtrl(EnablingRGBColors);
	CWnd* EnablingRGBFontColors;
	EnablingRGBFontColors = (CWnd*) GetDlgItem(IDC_RGBFONTCOLORS);
	GotoDlgCtrl(EnablingRGBFontColors);

	//df_hud_videocapture_enable [0-1] (default: 0)
	//Enables/Disables Video Capture Mode
	CButton* VideoCaptureCheck;
	VideoCaptureCheck = (CButton*) GetDlgItem(IDC_VCENABLE);
	GotoDlgCtrl(VideoCaptureCheck);
	
	CWnd* EnablingVideoCaptureStatic;
	EnablingVideoCaptureStatic = (CWnd*) GetDlgItem(IDC_STATICVC);
	GotoDlgCtrl(EnablingVideoCaptureStatic);

	//df_hud_videocapture_x (default: 320)
	CWnd* EnablingXPos;
	EnablingXPos = (CWnd*) GetDlgItem(IDC_XPOS);
	GotoDlgCtrl(EnablingXPos);
	CWnd* EnablingXPosStatic;
	EnablingXPosStatic = (CWnd*) GetDlgItem(IDC_STATICXPOS);
	GotoDlgCtrl(EnablingXPosStatic);
	CWnd* VCXPoscWnd = GetDlgItem(IDC_XPOS);

	//df_hud_videocapture_y (default: 240)
	CWnd* EnablingYPos;
	EnablingYPos = (CWnd*) GetDlgItem(IDC_YPOS);
	GotoDlgCtrl(EnablingYPos);
	CWnd* EnablingYPosStatic;
	EnablingYPosStatic = (CWnd*) GetDlgItem(IDC_STATICYPOS);
	GotoDlgCtrl(EnablingYPosStatic);
	CWnd* VCYPoscWnd = GetDlgItem(IDC_YPOS);

	//df_hud_videocapture_fontsize [4-32] (default: 16)
	CSliderCtrl* VCFontSizeSlider;
	VCFontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZE);
	GotoDlgCtrl(VCFontSizeSlider);
	VCFontSizeSlider->SetRange(4, 32, FALSE);
	VCFontSizeSlider->SetTicFreq(4);
	CWnd* EnablingFontSize;
	EnablingFontSize = (CWnd*) GetDlgItem(IDC_FONTSIZE);
	GotoDlgCtrl(EnablingFontSize);
	CWnd* EnablingFontSizeStatic;
	EnablingFontSizeStatic = (CWnd*) GetDlgItem(IDC_STATICFONTSIZE);
	GotoDlgCtrl(EnablingFontSizeStatic);
	CWnd* Enabling32FontSize;
	Enabling32FontSize = (CWnd*) GetDlgItem(IDC_STATIC32FONT);
	GotoDlgCtrl(Enabling32FontSize);

	//df_hud_videocapture_fontjustify [0-2] (default: 0)
	CComboBox* VCFontJustifyComboBox;
	VCFontJustifyComboBox = (CComboBox*) GetDlgItem(IDC_FONTJUSTIFY);
	GotoDlgCtrl(VCFontJustifyComboBox);
	CWnd* EnablingFontJustify;
	EnablingFontJustify = (CWnd*) GetDlgItem(IDC_FONTJUSTIFY);
	GotoDlgCtrl(EnablingFontJustify);
	CWnd* EnablingFontJustifysStatic;
	EnablingFontJustifysStatic = (CWnd*) GetDlgItem(IDC_STATICJUSTIFY);
	GotoDlgCtrl(EnablingFontJustifysStatic);

	//df_hud_videocapture_fontcolor [0-11] (default: 7)
	CComboBox* VCFontColorComboBox;
	VCFontColorComboBox = (CComboBox*) GetDlgItem(IDC_VCFONTCOLOR);
	GotoDlgCtrl(VCFontColorComboBox);
	CWnd* EnablingVCFontColor;
	EnablingVCFontColor = (CWnd*) GetDlgItem(IDC_VCFONTCOLOR);
	GotoDlgCtrl(EnablingVCFontColor);
	CWnd* EnablingEnablingVCFontColorStatic;
	EnablingEnablingVCFontColorStatic = (CWnd*) GetDlgItem(IDC_STATICVCFONTCOLOR);
	GotoDlgCtrl(EnablingEnablingVCFontColorStatic);

	//df_hud_videocapture_fontshadow [0-1] (default: 1)
	CButton* VCFontShadowCheck;
	VCFontShadowCheck = (CButton*) GetDlgItem(IDC_VCFONTSHADOW);
	GotoDlgCtrl(VCFontShadowCheck);
	CWnd* EnablingVCFontShadow;
	EnablingVCFontShadow = (CWnd*) GetDlgItem(IDC_VCFONTSHADOW);
	GotoDlgCtrl(EnablingVCFontShadow);

	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATIC32FONT);
	GotoDlgCtrl(FontSizeText);
	FontSizeText->SetWindowText(_T("16"));


	int ucb = unitsComboBox->InitStorage(256, 10);
	ASSERT(ucb != CB_ERRSPACE);
	unitsComboBox->AddString("0-units/s");
	unitsComboBox->AddString("1-Km/h");
	unitsComboBox->AddString("2-miles/h");

	int dzcb = CheckpointsComboBox->InitStorage(256, 10);
	ASSERT(dzcb != CB_ERRSPACE);
	CheckpointsComboBox->AddString("0-Difference");
	CheckpointsComboBox->AddString("1-Overall");
	CheckpointsComboBox->AddString("2-Offset");

	int dycb = AutorecordComboBox->InitStorage(256, 10);
	ASSERT(dycb != CB_ERRSPACE);
	AutorecordComboBox->AddString("0-Disabled");
	AutorecordComboBox->AddString("1-Enabled");
	AutorecordComboBox->AddString("3-Overwrite");

	int dxcb = AllWeaponsComboBox->InitStorage(256, 10);
	ASSERT(dxcb != CB_ERRSPACE);
	AllWeaponsComboBox->AddString("0-Normal");
	AllWeaponsComboBox->AddString("1-All-BFG");
	AllWeaponsComboBox->AddString("2-All+BFG");
	AllWeaponsComboBox->AddString("3-None");

	int dtcb = StartOnComboBox->InitStorage(256, 10);
	ASSERT(dtcb != CB_ERRSPACE);
	StartOnComboBox->AddString("00-ShotGun");
	StartOnComboBox->AddString("01-GrenadeLauncher");
	StartOnComboBox->AddString("02-RocketLauncher");
	StartOnComboBox->AddString("03-LightningGun");
	StartOnComboBox->AddString("04-RailGun");
	StartOnComboBox->AddString("05-PlasmaGun");
	StartOnComboBox->AddString("06-BFG");
	StartOnComboBox->AddString("07-MG Ammo");
	StartOnComboBox->AddString("08-SG Ammo");
	StartOnComboBox->AddString("09-GL Ammo");
	StartOnComboBox->AddString("10-RL Ammo");
	StartOnComboBox->AddString("11-LG Ammo");
	StartOnComboBox->AddString("12-RG Ammo");
	StartOnComboBox->AddString("13-PG Ammo");
	StartOnComboBox->AddString("14-BFG Ammo");
	StartOnComboBox->AddString("15-Small Health");
	StartOnComboBox->AddString("16-Health");
	StartOnComboBox->AddString("17-Large Health");
	StartOnComboBox->AddString("18-Mega Health");
	StartOnComboBox->AddString("19-Armor Shield");
	StartOnComboBox->AddString("20-Yellow Armor");
	StartOnComboBox->AddString("21-Red Armor");
	StartOnComboBox->AddString("22-Quad");
	StartOnComboBox->AddString("23-Battlesuit");
	StartOnComboBox->AddString("24-Haste");
	StartOnComboBox->AddString("25-Invisible");
	StartOnComboBox->AddString("26-Regeneration");
	StartOnComboBox->AddString("27-Flight");
	StartOnComboBox->AddString("28-Teleport");
	StartOnComboBox->AddString("29-Medkit");
	StartOnComboBox->AddString("None");

	int ducb = StopOnComboBox->InitStorage(256, 10);
	ASSERT(ducb != CB_ERRSPACE);
	StopOnComboBox->AddString("00-ShotGun");
	StopOnComboBox->AddString("01-GrenadeLauncher");
	StopOnComboBox->AddString("02-RocketLauncher");
	StopOnComboBox->AddString("03-LightningGun");
	StopOnComboBox->AddString("04-RailGun");
	StopOnComboBox->AddString("05-PlasmaGun");
	StopOnComboBox->AddString("06-BFG");
	StopOnComboBox->AddString("07-MG Ammo");
	StopOnComboBox->AddString("08-SG Ammo");
	StopOnComboBox->AddString("09-GL Ammo");
	StopOnComboBox->AddString("10-RL Ammo");
	StopOnComboBox->AddString("11-LG Ammo");
	StopOnComboBox->AddString("12-RG Ammo");
	StopOnComboBox->AddString("13-PG Ammo");
	StopOnComboBox->AddString("14-BFG Ammo");
	StopOnComboBox->AddString("15-Small Health");
	StopOnComboBox->AddString("16-Health");
	StopOnComboBox->AddString("17-Large Health");
	StopOnComboBox->AddString("18-Mega Health");
	StopOnComboBox->AddString("19-Armor Shield");
	StopOnComboBox->AddString("20-Yellow Armor");
	StopOnComboBox->AddString("21-Red Armor");
	StopOnComboBox->AddString("22-Quad");
	StopOnComboBox->AddString("23-Battlesuit");
	StopOnComboBox->AddString("24-Haste");
	StopOnComboBox->AddString("25-Invisible");
	StopOnComboBox->AddString("26-Regeneration");
	StopOnComboBox->AddString("27-Flight");
	StopOnComboBox->AddString("28-Teleport");
	StopOnComboBox->AddString("29-Medkit");
	StopOnComboBox->AddString("None");

	int dpcb = CheckOnComboBox->InitStorage(256, 10);
	ASSERT(dpcb != CB_ERRSPACE);
	CheckOnComboBox->AddString("00-ShotGun");
	CheckOnComboBox->AddString("01-GrenadeLauncher");
	CheckOnComboBox->AddString("02-RocketLauncher");
	CheckOnComboBox->AddString("03-LightningGun");
	CheckOnComboBox->AddString("04-RailGun");
	CheckOnComboBox->AddString("05-PlasmaGun");
	CheckOnComboBox->AddString("06-BFG");
	CheckOnComboBox->AddString("07-MG Ammo");
	CheckOnComboBox->AddString("08-SG Ammo");
	CheckOnComboBox->AddString("09-GL Ammo");
	CheckOnComboBox->AddString("10-RL Ammo");
	CheckOnComboBox->AddString("11-LG Ammo");
	CheckOnComboBox->AddString("12-RG Ammo");
	CheckOnComboBox->AddString("13-PG Ammo");
	CheckOnComboBox->AddString("14-BFG Ammo");
	CheckOnComboBox->AddString("15-Small Health");
	CheckOnComboBox->AddString("16-Health");
	CheckOnComboBox->AddString("17-Large Health");
	CheckOnComboBox->AddString("18-Mega Health");
	CheckOnComboBox->AddString("19-Armor Shield");
	CheckOnComboBox->AddString("20-Yellow Armor");
	CheckOnComboBox->AddString("21-Red Armor");
	CheckOnComboBox->AddString("22-Quad");
	CheckOnComboBox->AddString("23-Battlesuit");
	CheckOnComboBox->AddString("24-Haste");
	CheckOnComboBox->AddString("25-Invisible");
	CheckOnComboBox->AddString("26-Regeneration");
	CheckOnComboBox->AddString("27-Flight");
	CheckOnComboBox->AddString("28-Teleport");
	CheckOnComboBox->AddString("29-Medkit");
	CheckOnComboBox->AddString("None");

	int dscb = DrawSpeedComboBox->InitStorage(256, 10);
	ASSERT(dscb != CB_ERRSPACE);
	DrawSpeedComboBox->AddString("0-Disabled");
	DrawSpeedComboBox->AddString("1-Defrag");
	DrawSpeedComboBox->AddString("2-Old School");

	int dmcb = HudColorComboBox->InitStorage(256, 10);
	ASSERT(dmcb != CB_ERRSPACE);
	HudColorComboBox->AddString("00-Black");
	HudColorComboBox->AddString("01-Red");
	HudColorComboBox->AddString("02-Green");
	HudColorComboBox->AddString("03-Yellow");
	HudColorComboBox->AddString("04-Blue");
	HudColorComboBox->AddString("05-Cyan");
	HudColorComboBox->AddString("06-Magenta");
	HudColorComboBox->AddString("07-White");
	HudColorComboBox->AddString("08-Gray");
	HudColorComboBox->AddString("09-Orange");
	HudColorComboBox->AddString("10-Purple");
	HudColorComboBox->AddString("11-Dark Green");

	int dncb = FontColorComboBox->InitStorage(256, 10);
	ASSERT(dncb != CB_ERRSPACE);
	FontColorComboBox->AddString("00-Black");
	FontColorComboBox->AddString("01-Red");
	FontColorComboBox->AddString("02-Green");
	FontColorComboBox->AddString("03-Yellow");
	FontColorComboBox->AddString("04-Blue");
	FontColorComboBox->AddString("05-Cyan");
	FontColorComboBox->AddString("06-Magenta");
	FontColorComboBox->AddString("07-White");
	FontColorComboBox->AddString("08-Gray");
	FontColorComboBox->AddString("09-Orange");
	FontColorComboBox->AddString("10-Purple");
	FontColorComboBox->AddString("11-Dark Green");

	int ucbb = VCFontJustifyComboBox->InitStorage(256, 10);
	ASSERT(ucbb != CB_ERRSPACE);
	VCFontJustifyComboBox->AddString("0-Center");
	VCFontJustifyComboBox->AddString("1-Left");
	VCFontJustifyComboBox->AddString("2-Right");

	int dncbb = VCFontColorComboBox->InitStorage(256, 10);
	ASSERT(dncbb != CB_ERRSPACE);
	VCFontColorComboBox->AddString("00-Black");
	VCFontColorComboBox->AddString("01-Red");
	VCFontColorComboBox->AddString("02-Green");
	VCFontColorComboBox->AddString("03-Yellow");
	VCFontColorComboBox->AddString("04-Blue");
	VCFontColorComboBox->AddString("05-Cyan");
	VCFontColorComboBox->AddString("06-Magenta");
	VCFontColorComboBox->AddString("07-White");
	VCFontColorComboBox->AddString("08-Gray");
	VCFontColorComboBox->AddString("09-Orange");
	VCFontColorComboBox->AddString("10-Purple");
	VCFontColorComboBox->AddString("11-Dark Green");


	unitsComboBox->SetCurSel(1);
	CenterCheck->SetCheck(BST_CHECKED);
	BottomRightCheck->SetCheck(BST_CHECKED);
	CheckpointsComboBox->SetCurSel(2);
	AutorecordComboBox->SetCurSel(1);
	countrycWnd->SetWindowText(_T("France"));
	dfnamecWnd->SetWindowText(_T("UnnamedPlayer"));
	AllWeaponsComboBox->SetCurSel(1);
	DamageCheck->SetCheck(BST_CHECKED);
	StartOnComboBox->SetCurSel(30);
	StopOnComboBox->SetCurSel(30);
	CheckOnComboBox->SetCurSel(30);
	DefragHudCheck->SetCheck(BST_CHECKED);
	DrawBestTimeCheck->SetCheck(BST_CHECKED);
	DrawSpeedComboBox->SetCurSel(1);
	HeightCheck->SetCheck(BST_CHECKED);
	DistanceCheck->SetCheck(BST_CHECKED);
	HudColorComboBox->SetCurSel(4);
	TransparencySlider->SetPos(25);
	FontColorComboBox->SetCurSel(7);
	FontShadowCheck->SetCheck(BST_CHECKED);
	ColorWarningCheck->SetCheck(BST_CHECKED);
	ForceTeamColorsCheck->SetCheck(BST_CHECKED);
	Icon3DCheck->SetCheck(BST_CHECKED);
	EnablingVideoCaptureStatic->EnableWindow(FALSE);
	VCXPoscWnd->SetWindowText(_T("320"));
	EnablingXPos->EnableWindow(FALSE);
	VCYPoscWnd->SetWindowText(_T("240"));
	EnablingYPos->EnableWindow(FALSE);
	EnablingXPosStatic->EnableWindow(FALSE);
	EnablingYPosStatic->EnableWindow(FALSE);
	VCFontSizeSlider->SetPos(16);
	EnablingFontSize->EnableWindow(FALSE);
	EnablingFontSizeStatic->EnableWindow(FALSE);
	Enabling32FontSize->EnableWindow(FALSE);
	VCFontJustifyComboBox->SetCurSel(0);
	EnablingFontJustify->EnableWindow(FALSE);
	EnablingFontJustifysStatic->EnableWindow(FALSE);
	VCFontColorComboBox->SetCurSel(7);
	EnablingVCFontColor->EnableWindow(FALSE);
	EnablingEnablingVCFontColorStatic->EnableWindow(FALSE);
	VCFontShadowCheck->SetCheck(BST_CHECKED);
	EnablingVCFontShadow->EnableWindow(FALSE);

	
	

	return TRUE;
}

BEGIN_MESSAGE_MAP(CProgCtrlPage, CPropertyPage)
	//{{AFX_MSG_MAP(CProgCtrlPage)
	
	//}}AFX_MSG_MAP
//	ON_BN_CLICKED(IDC_MOTDFILE, OnBnClickedMotdfile)
ON_BN_CLICKED(IDC_DEFRAGHUD, OnBnClickedDefraghud)
ON_BN_CLICKED(IDC_VCENABLE, OnBnClickedVcenable)
ON_BN_CLICKED(IDC_RGBCOLORS, OnBnClickedRgbcolors)
ON_BN_CLICKED(IDC_RGBFONTCOLORS, OnBnClickedRgbfontcolors)
ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_FONTSIZE, OnNMReleasedcaptureFontsize)
ON_BN_CLICKED(IDC_APPLYCHS, OnBnClickedApplychs)
ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TRANSPARANCY, OnNMReleasedcaptureTransparancy)
END_MESSAGE_MAP()


void CProgCtrlPage::OnBnClickedDefraghud()
{
	CButton* DefragHudCheck;
	DefragHudCheck = (CButton*) GetDlgItem(IDC_DEFRAGHUD);
	GotoDlgCtrl(DefragHudCheck);
	CWnd* EnablingDrawSpeed;
	EnablingDrawSpeed = (CWnd*) GetDlgItem(IDC_DRAWSPEED);
	GotoDlgCtrl(EnablingDrawSpeed);
	CWnd* EnablingDrawBestTime;
	EnablingDrawBestTime = (CWnd*) GetDlgItem(IDC_BESTTIME);
	GotoDlgCtrl(EnablingDrawBestTime);
	CWnd* EnablingItemsGroupBox;
	EnablingItemsGroupBox = (CWnd*) GetDlgItem(IDC_STATICITEM);
	GotoDlgCtrl(EnablingItemsGroupBox);
	CWnd* EnablingDrawSpeedStatic;
	EnablingDrawSpeedStatic = (CWnd*) GetDlgItem(IDC_STATICDRAWSPEED);
	GotoDlgCtrl(EnablingDrawSpeedStatic);

	CWnd* EnablingHeightCheck;
	EnablingHeightCheck = (CWnd*) GetDlgItem(IDC_HEIGHT);
	GotoDlgCtrl(EnablingHeightCheck);
	CWnd* EnablingDistanceCheck;
	EnablingDistanceCheck = (CWnd*) GetDlgItem(IDC_DISTANCE);
	GotoDlgCtrl(EnablingDistanceCheck);
	CWnd* EnablingHighValueCheck;
	EnablingHighValueCheck = (CWnd*) GetDlgItem(IDC_HIGHVALUE);
	GotoDlgCtrl(EnablingHighValueCheck);

	CWnd* EnablingHudColor;
	EnablingHudColor = (CWnd*) GetDlgItem(IDC_HUDCOLOR);
	GotoDlgCtrl(EnablingHudColor);
	CWnd* EnablingHudColorStatic;
	EnablingHudColorStatic = (CWnd*) GetDlgItem(IDC_STATICHUDCOLOR);
	GotoDlgCtrl(EnablingHudColorStatic);
	CWnd* EnablingDisplaySettingsStatic;
	EnablingDisplaySettingsStatic = (CWnd*) GetDlgItem(IDC_STATICDISPLAY);
	GotoDlgCtrl(EnablingDisplaySettingsStatic);
	CWnd* EnablingTransparencySlider;
	EnablingTransparencySlider = (CWnd*) GetDlgItem(IDC_TRANSPARANCY);
	GotoDlgCtrl(EnablingTransparencySlider);
	CWnd* EnablingTransparancyStatic;
	EnablingTransparancyStatic = (CWnd*) GetDlgItem(IDC_STATICTRANSP);
	GotoDlgCtrl(EnablingTransparancyStatic);
	CWnd* EnablingZeroStatic;
	EnablingZeroStatic = (CWnd*) GetDlgItem(IDC_STATICZERO);
	GotoDlgCtrl(EnablingZeroStatic);
	CWnd* EnablingOneStatic;
	EnablingOneStatic = (CWnd*) GetDlgItem(IDC_STATICONE);
	GotoDlgCtrl(EnablingOneStatic);
	CWnd* EnablingFontColor;
	EnablingFontColor = (CWnd*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(EnablingFontColor);
	CWnd* EnablingFontColorStatic;
	EnablingFontColorStatic = (CWnd*) GetDlgItem(IDC_STATICFONTCOLOR);
	GotoDlgCtrl(EnablingFontColorStatic);
	CWnd* EnablingFontShadow;
	EnablingFontShadow = (CWnd*) GetDlgItem(IDC_FONTSHADOW);
	GotoDlgCtrl(EnablingFontShadow);
	CWnd* EnablingColorWarning;
	EnablingColorWarning = (CWnd*) GetDlgItem(IDC_COLORWARNING);
	GotoDlgCtrl(EnablingColorWarning);
	CWnd* EnablingForceTeamColors;
	EnablingForceTeamColors = (CWnd*) GetDlgItem(IDC_FORCETEAM);
	GotoDlgCtrl(EnablingForceTeamColors);
	CWnd* EnablingIcon3D;
	EnablingIcon3D = (CWnd*) GetDlgItem(IDC_ICON3D);
	GotoDlgCtrl(EnablingIcon3D);
	CWnd* EnablingRGBColors;
	EnablingRGBColors = (CWnd*) GetDlgItem(IDC_RGBCOLORS);
	GotoDlgCtrl(EnablingRGBColors);
	CWnd* EnablingRGBFontColors;
	EnablingRGBFontColors = (CWnd*) GetDlgItem(IDC_RGBFONTCOLORS);
	GotoDlgCtrl(EnablingRGBFontColors);

	int DefragHud = DefragHudCheck->GetState() & 0x0003;

	if(DefragHud == 0)
	{
		EnablingDrawSpeed->EnableWindow(FALSE);
		EnablingDrawBestTime->EnableWindow(FALSE);
		EnablingItemsGroupBox->EnableWindow(FALSE);
		EnablingDrawSpeedStatic->EnableWindow(FALSE);
		EnablingHeightCheck->EnableWindow(FALSE);
		EnablingDistanceCheck->EnableWindow(FALSE);
		EnablingHighValueCheck->EnableWindow(FALSE);
		EnablingDisplaySettingsStatic->EnableWindow(FALSE);
		EnablingHudColorStatic->EnableWindow(FALSE);
		EnablingHudColor->EnableWindow(FALSE);
		EnablingTransparencySlider->EnableWindow(FALSE);
		EnablingTransparancyStatic->EnableWindow(FALSE);
		EnablingZeroStatic->EnableWindow(FALSE);
		EnablingOneStatic->EnableWindow(FALSE);
		EnablingFontColor->EnableWindow(FALSE);
		EnablingFontColorStatic->EnableWindow(FALSE);
		EnablingFontShadow->EnableWindow(FALSE);
		EnablingColorWarning->EnableWindow(FALSE);
		EnablingForceTeamColors->EnableWindow(FALSE);
		EnablingIcon3D->EnableWindow(FALSE);
		EnablingRGBColors->EnableWindow(FALSE);
		EnablingRGBFontColors->EnableWindow(FALSE);
	}
	else 
	{
		EnablingDrawSpeed->EnableWindow(TRUE);
		EnablingDrawBestTime->EnableWindow(TRUE);
		EnablingItemsGroupBox->EnableWindow(TRUE);
		EnablingDrawSpeedStatic->EnableWindow(TRUE);
		EnablingHeightCheck->EnableWindow(TRUE);
		EnablingDistanceCheck->EnableWindow(TRUE);
		EnablingHighValueCheck->EnableWindow(TRUE);
		EnablingDisplaySettingsStatic->EnableWindow(TRUE);
		EnablingHudColorStatic->EnableWindow(TRUE);
		EnablingHudColor->EnableWindow(TRUE);
		EnablingTransparencySlider->EnableWindow(TRUE);
		EnablingTransparancyStatic->EnableWindow(TRUE);
		EnablingZeroStatic->EnableWindow(TRUE);
		EnablingOneStatic->EnableWindow(TRUE);
		EnablingFontColor->EnableWindow(TRUE);
		EnablingFontColorStatic->EnableWindow(TRUE);
		EnablingFontShadow->EnableWindow(TRUE);
		EnablingColorWarning->EnableWindow(TRUE);
		EnablingForceTeamColors->EnableWindow(TRUE);
		EnablingIcon3D->EnableWindow(TRUE);
		EnablingRGBColors->EnableWindow(TRUE);
		EnablingRGBFontColors->EnableWindow(TRUE);
	}
}

void CProgCtrlPage::OnBnClickedVcenable()
{
	CButton* VideoCaptureCheck;
	VideoCaptureCheck = (CButton*) GetDlgItem(IDC_VCENABLE);
	GotoDlgCtrl(VideoCaptureCheck);
	CWnd* EnablingVideoCaptureStatic;
	EnablingVideoCaptureStatic = (CWnd*) GetDlgItem(IDC_STATICVC);
	GotoDlgCtrl(EnablingVideoCaptureStatic);
	CWnd* EnablingXPos;
	EnablingXPos = (CWnd*) GetDlgItem(IDC_XPOS);
	GotoDlgCtrl(EnablingXPos);
	CWnd* EnablingYPos;
	EnablingYPos = (CWnd*) GetDlgItem(IDC_YPOS);
	GotoDlgCtrl(EnablingYPos);
	CWnd* EnablingXPosStatic;
	EnablingXPosStatic = (CWnd*) GetDlgItem(IDC_STATICXPOS);
	GotoDlgCtrl(EnablingXPosStatic);
	CWnd* EnablingYPosStatic;
	EnablingYPosStatic = (CWnd*) GetDlgItem(IDC_STATICYPOS);
	GotoDlgCtrl(EnablingYPosStatic);
	CWnd* EnablingFontSize;
	EnablingFontSize = (CWnd*) GetDlgItem(IDC_FONTSIZE);
	GotoDlgCtrl(EnablingFontSize);
	CWnd* EnablingFontSizeStatic;
	EnablingFontSizeStatic = (CWnd*) GetDlgItem(IDC_STATICFONTSIZE);
	GotoDlgCtrl(EnablingFontSizeStatic);
	CWnd* Enabling32FontSize;
	Enabling32FontSize = (CWnd*) GetDlgItem(IDC_STATIC32FONT);
	GotoDlgCtrl(Enabling32FontSize);
	CWnd* EnablingFontJustify;
	EnablingFontJustify = (CWnd*) GetDlgItem(IDC_FONTJUSTIFY);
	GotoDlgCtrl(EnablingFontJustify);
	CWnd* EnablingFontJustifysStatic;
	EnablingFontJustifysStatic = (CWnd*) GetDlgItem(IDC_STATICJUSTIFY);
	GotoDlgCtrl(EnablingFontJustifysStatic);
	CWnd* EnablingVCFontColor;
	EnablingVCFontColor = (CWnd*) GetDlgItem(IDC_VCFONTCOLOR);
	GotoDlgCtrl(EnablingVCFontColor);
	CWnd* EnablingEnablingVCFontColorStatic;
	EnablingEnablingVCFontColorStatic = (CWnd*) GetDlgItem(IDC_STATICVCFONTCOLOR);
	GotoDlgCtrl(EnablingEnablingVCFontColorStatic);
	CWnd* EnablingVCFontShadow;
	EnablingVCFontShadow = (CWnd*) GetDlgItem(IDC_VCFONTSHADOW);
	GotoDlgCtrl(EnablingVCFontShadow);

	int VideoCapture = VideoCaptureCheck->GetState() & 0x0003;

	if(VideoCapture == 0)
	{
		EnablingVideoCaptureStatic->EnableWindow(FALSE);
		EnablingXPos->EnableWindow(FALSE);
		EnablingYPos->EnableWindow(FALSE);
		EnablingXPosStatic->EnableWindow(FALSE);
		EnablingYPosStatic->EnableWindow(FALSE);
		EnablingFontSize->EnableWindow(FALSE);
		EnablingFontSizeStatic->EnableWindow(FALSE);
		Enabling32FontSize->EnableWindow(FALSE);
		EnablingFontJustify->EnableWindow(FALSE);
		EnablingFontJustifysStatic->EnableWindow(FALSE);
		EnablingVCFontColor->EnableWindow(FALSE);
		EnablingEnablingVCFontColorStatic->EnableWindow(FALSE);
		EnablingVCFontShadow->EnableWindow(FALSE);
		
	}
	else 
	{
		EnablingVideoCaptureStatic->EnableWindow(TRUE);
		EnablingXPos->EnableWindow(TRUE);
		EnablingYPos->EnableWindow(TRUE);
		EnablingXPosStatic->EnableWindow(TRUE);
		EnablingYPosStatic->EnableWindow(TRUE);
		EnablingFontSize->EnableWindow(TRUE);
		EnablingFontSizeStatic->EnableWindow(TRUE);
		Enabling32FontSize->EnableWindow(TRUE);
		EnablingFontJustify->EnableWindow(TRUE);
		EnablingFontJustifysStatic->EnableWindow(TRUE);
		EnablingVCFontColor->EnableWindow(TRUE);
		EnablingEnablingVCFontColorStatic->EnableWindow(TRUE);
		EnablingVCFontShadow->EnableWindow(TRUE);
		
	}
}

void CProgCtrlPage::OnBnClickedRgbcolors()
{
int Red, Green, Blue;
	CColorDialog dlg;
	dlg.m_cc.Flags |= CC_FULLOPEN | CC_RGBINIT;
	dlg.m_cc.rgbResult = RGB(0, 0, 255);
	if (dlg.DoModal() == IDOK)
	{
		COLORREF color = dlg.GetColor();
		Red = GetRValue(color);
		Green = GetGValue(color);
		Blue = GetBValue(color);
		strcpy(colors, va("%d,%d,%d", Red, Green, Blue));
	}
}

void CProgCtrlPage::OnBnClickedRgbfontcolors()
{
int Red, Green, Blue;
	CColorDialog dlg;
	dlg.m_cc.Flags |= CC_FULLOPEN | CC_RGBINIT;
	dlg.m_cc.rgbResult = RGB(255, 255, 255);
	if (dlg.DoModal() == IDOK)
	{
		COLORREF color = dlg.GetColor();
		Red = GetRValue(color);
		Green = GetGValue(color);
		Blue = GetBValue(color);
		strcpy(fontcolors, va("%d,%d,%d", Red, Green, Blue));
	}
}
/*void CProgCtrlPage::OnOK() 
{
	int i;
	CPropertyPage::OnOK();
}*/


/*BOOL CProgCtrlPage::OnApply() 
{
	


	return FALSE;
}*/
void CProgCtrlPage::OnNMReleasedcaptureFontsize(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;
	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATIC32FONT);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* VCFontSizeSlider;
	VCFontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZE);
	GotoDlgCtrl(VCFontSizeSlider);

	Pos = VCFontSizeSlider->GetPos();
	

	FontSizeText->SetWindowText(_T(va("%d%", Pos)));



	*pResult = 0;
}

void CProgCtrlPage::OnBnClickedApplychs()
{
	//char buffer[256] = "quake3.exe +set fs_game defrag +exec defrag.cfg";
	char value[256] = {0};
	double SliderPos;
	

	defragcfg[0] = 0;
	
	

	CWnd* dfnamecWnd = GetDlgItem(IDC_DFNAME);
	CWnd* countrycWnd = GetDlgItem(IDC_COUNTRY);
	CString str;

	CComboBox* unitsComboBox;
	unitsComboBox = (CComboBox*) GetDlgItem(IDC_UNITS);
	GotoDlgCtrl(unitsComboBox);
	CComboBox* DrawSpeedComboBox;
	DrawSpeedComboBox = (CComboBox*) GetDlgItem(IDC_DRAWSPEED);
	GotoDlgCtrl(DrawSpeedComboBox);
	CButton* HeightCheck;
	HeightCheck = (CButton*) GetDlgItem(IDC_HEIGHT);
	GotoDlgCtrl(HeightCheck);
	CButton* DistanceCheck;
	DistanceCheck = (CButton*) GetDlgItem(IDC_DISTANCE);
	GotoDlgCtrl(DistanceCheck);
	CButton* HighValueCheck;
	HighValueCheck = (CButton*) GetDlgItem(IDC_HIGHVALUE);
	GotoDlgCtrl(HighValueCheck);
	CComboBox* AutorecordComboBox;
	AutorecordComboBox = (CComboBox*) GetDlgItem(IDC_AUTORECORD);
	GotoDlgCtrl(AutorecordComboBox);
	CButton* CenterCheck;
	CenterCheck = (CButton*) GetDlgItem(IDC_CHECKCENTER);
	GotoDlgCtrl(CenterCheck);
	CButton* BottomRightCheck;
	BottomRightCheck = (CButton*) GetDlgItem(IDC_CHECKBOTTOMR);
	GotoDlgCtrl(BottomRightCheck);
	CComboBox* CheckpointsComboBox;
	CheckpointsComboBox = (CComboBox*) GetDlgItem(IDC_CHECKPOINTS);
	GotoDlgCtrl(CheckpointsComboBox);
	CButton* RespawnCfgCheck;
	RespawnCfgCheck = (CButton*) GetDlgItem(IDC_SPAWN);
	GotoDlgCtrl(RespawnCfgCheck);
	CButton* MapCfgCheck;
	MapCfgCheck = (CButton*) GetDlgItem(IDC_MAPCFG);
	GotoDlgCtrl(MapCfgCheck);
	CButton* PromodeCheck;
	PromodeCheck = (CButton*) GetDlgItem(IDC_CPM);
	GotoDlgCtrl(PromodeCheck);
	CComboBox* AllWeaponsComboBox;
	AllWeaponsComboBox = (CComboBox*) GetDlgItem(IDC_ALLWEAPONS);
	GotoDlgCtrl(AllWeaponsComboBox);
	CButton* DamageCheck;
	DamageCheck = (CButton*) GetDlgItem(IDC_DAMAGE);
	GotoDlgCtrl(DamageCheck);
	CButton* PowerupsCheck;
	PowerupsCheck = (CButton*) GetDlgItem(IDC_POWERUPS);
	GotoDlgCtrl(PowerupsCheck);
	CComboBox* StartOnComboBox;
	StartOnComboBox = (CComboBox*) GetDlgItem(IDC_STARTON);
	GotoDlgCtrl(StartOnComboBox);
	CComboBox* StopOnComboBox;
	StopOnComboBox = (CComboBox*) GetDlgItem(IDC_STOPON);
	GotoDlgCtrl(StopOnComboBox);
	CComboBox* CheckOnComboBox;
	CheckOnComboBox = (CComboBox*) GetDlgItem(IDC_CHECKON);
	GotoDlgCtrl(CheckOnComboBox);
	CButton* DefragHudCheck;
	DefragHudCheck = (CButton*) GetDlgItem(IDC_DEFRAGHUD);
	GotoDlgCtrl(DefragHudCheck);
	CButton* DrawBestTimeCheck;
	DrawBestTimeCheck = (CButton*) GetDlgItem(IDC_BESTTIME);
	GotoDlgCtrl(DrawBestTimeCheck);
	CComboBox* HudColorComboBox;
	HudColorComboBox = (CComboBox*) GetDlgItem(IDC_HUDCOLOR);
	GotoDlgCtrl(HudColorComboBox);
	CSliderCtrl* TransparencySlider;
	TransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARANCY);
	GotoDlgCtrl(TransparencySlider);
	CComboBox* FontColorComboBox;
	FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(FontColorComboBox);
	CButton* FontShadowCheck;
	FontShadowCheck = (CButton*) GetDlgItem(IDC_FONTSHADOW);
	GotoDlgCtrl(FontShadowCheck);
	CButton* ColorWarningCheck;
	ColorWarningCheck = (CButton*) GetDlgItem(IDC_COLORWARNING);
	GotoDlgCtrl(ColorWarningCheck);
	CButton* ForceTeamColorsCheck;
	ForceTeamColorsCheck = (CButton*) GetDlgItem(IDC_FORCETEAM);
	GotoDlgCtrl(ForceTeamColorsCheck);
	CButton* Icon3DCheck;
	Icon3DCheck = (CButton*) GetDlgItem(IDC_ICON3D);
	GotoDlgCtrl(Icon3DCheck);
	CButton* VideoCaptureCheck;
	VideoCaptureCheck = (CButton*) GetDlgItem(IDC_VCENABLE);
	GotoDlgCtrl(VideoCaptureCheck);
	CWnd* VCXPoscWnd = GetDlgItem(IDC_XPOS);
	CWnd* VCYPoscWnd = GetDlgItem(IDC_YPOS);
	CSliderCtrl* VCFontSizeSlider;
	VCFontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZE);
	GotoDlgCtrl(VCFontSizeSlider);
	CComboBox* VCFontJustifyComboBox;
	VCFontJustifyComboBox = (CComboBox*) GetDlgItem(IDC_FONTJUSTIFY);
	GotoDlgCtrl(VCFontJustifyComboBox);
	CComboBox* VCFontColorComboBox;
	VCFontColorComboBox = (CComboBox*) GetDlgItem(IDC_VCFONTCOLOR);
	GotoDlgCtrl(VCFontColorComboBox);
	CButton* VCFontShadowCheck;
	VCFontShadowCheck = (CButton*) GetDlgItem(IDC_VCFONTSHADOW);
	GotoDlgCtrl(VCFontShadowCheck);
	CButton* OnRespawnCheck;
	OnRespawnCheck = (CButton*) GetDlgItem(IDC_ONRESPAWN);
	GotoDlgCtrl(OnRespawnCheck);
	


	strcat(defragcfg, "\n\n//General Settings\n");

	int nIndex = unitsComboBox->GetCurSel();
	strcat(defragcfg, va("set df_unit %d\n", nIndex));

	int Center = CenterCheck->GetState() & 0x0003;
	int BottomRight = BottomRightCheck->GetState() & 0x0003;
	nIndex = CheckpointsComboBox->GetCurSel();
	if(nIndex == 2) nIndex = 8;
	else if(nIndex == 1) nIndex = 4;
	else nIndex = 0;
	if(BottomRight == 1) BottomRight = 2;
	else BottomRight = 0;    
	Center += BottomRight + nIndex;	
	strcat(defragcfg, va("set df_checkpoints %d\n", Center));

	int Promode = PromodeCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_promode %d\n", Promode));

	strcat(defragcfg, "\n\n//Demos Autorecord\n");

	nIndex = AutorecordComboBox->GetCurSel();
	if(nIndex == 2) nIndex = 3;
	strcat(defragcfg, va("set df_autorecord %d\n", nIndex));

	countrycWnd->GetWindowText(str);
	strcat(defragcfg, va("set df_country \"%s\"\n", str));

	dfnamecWnd->GetWindowText(str);
	strcat(defragcfg, va("set df_name \"%s\"\n", str));

	strcat(defragcfg, "\n\n//Scripts\n");

	int RespawnCfg = RespawnCfgCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_script_onRespawn %d\n", RespawnCfg));
	
	int MapCfg = MapCfgCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_script_onMapLoad %d\n", MapCfg));

	strcat(defragcfg, "\n\n//Non-Defrag Maps support\n");

	nIndex = AllWeaponsComboBox->GetCurSel();
	strcat(defragcfg, va("set df_ndm_allWeapons %d\n", nIndex));

	int Damage = DamageCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_ndm_noDamage %d\n", Damage));

	int Powerups = PowerupsCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_ndm_allowPowerups %d\n", Powerups));

	int OnRespawn = OnRespawnCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_ndm_timer_startOnRespawn %d\n", OnRespawn));
	

	nIndex = StartOnComboBox->GetCurSel();
	SetValueToFile(nIndex, value);
	strcat(defragcfg, va("set df_ndm_timer_startOnItem %s\n", value));

	nIndex = StopOnComboBox->GetCurSel();
	SetValueToFile(nIndex, value);
	strcat(defragcfg, va("set df_ndm_timer_stopOnItem %s\n", value));

	nIndex = CheckOnComboBox->GetCurSel();
	SetValueToFile(nIndex, value);
	strcat(defragcfg, va("set df_ndm_timer_checkpointOnItem %s\n", value));

	strcat(defragcfg, "\n\n//Hud Settings\n");

	int DefragHud = DefragHudCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud %d\n", DefragHud));

	int DrawBestTime = DrawBestTimeCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_drawBesttime %d\n", DrawBestTime));	

	nIndex = DrawSpeedComboBox->GetCurSel();
	strcat(defragcfg, va("set df_drawSpeed %d\n", nIndex));

	int Height = HeightCheck->GetState() & 0x0003;
	int Distance = DistanceCheck->GetState() & 0x0003;
	int HighValue = HighValueCheck->GetState() & 0x0003;
	if(HighValue == 1) HighValue = 4;
	else HighValue = 0;
	if(Distance == 1) Distance = 2;
	else Distance = 0;    
	Height += Distance + HighValue;	
	strcat(defragcfg, va("set df_drawJumpmeters %d\n", Height));
	
	nIndex = HudColorComboBox->GetCurSel();
	strcat(defragcfg, va("set df_hud_color %d\n", nIndex));
	if(colors[0] != 0) strcat(defragcfg, va("set df_hud_colorRGB %s\n", colors));

	SliderPos = TransparencySlider->GetPos();
	strcat(defragcfg, va("set df_hud_transparency %f\n", SliderPos/100));

	nIndex = FontColorComboBox->GetCurSel();
	strcat(defragcfg, va("set df_hud_fontcolor %d\n", nIndex));
	if(fontcolors[0] != 0) strcat(defragcfg, va("set df_hud_fontcolorRGB %s\n", fontcolors));

	int FontShadow = FontShadowCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_fontshadow %d\n", FontShadow));

	int ColorWarning = ColorWarningCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_colorwarning %d\n", ColorWarning));

	int ForceTeamColors = ForceTeamColorsCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_forceteamcolors %d\n", ForceTeamColors));

	int Icon3D = Icon3DCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_3DIcons %d\n", Icon3D));

	strcat(defragcfg, "\n\n//Video capture mode\n");

	int VideoCapture = VideoCaptureCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_videocapture_enable %d\n", VideoCapture));

	VCXPoscWnd->GetWindowText(str);
	strcat(defragcfg, va("set df_hud_videocapture_x %s\n", str));

	VCYPoscWnd->GetWindowText(str);
	strcat(defragcfg, va("set df_hud_videocapture_y %s\n", str));

	SliderPos = VCFontSizeSlider->GetPos();
	strcat(defragcfg, va("set df_hud_videocapture_fontsize %f\n", SliderPos));
	
	nIndex = VCFontJustifyComboBox->GetCurSel();
	strcat(defragcfg, va("set df_hud_videocapture_fontjustify %d\n", nIndex));
	
	nIndex = VCFontColorComboBox->GetCurSel();
	strcat(defragcfg, va("set df_hud_videocapture_fontcolor %d\n", nIndex));

	int VCFontShadow = VCFontShadowCheck->GetState() & 0x0003;
	strcat(defragcfg, va("set df_hud_videocapture_fontshadow %d\n", VCFontShadow));
}

void CProgCtrlPage::OnNMReleasedcaptureTransparancy(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;
	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICONE);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* VCFontSizeSlider;
	VCFontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARANCY);
	GotoDlgCtrl(VCFontSizeSlider);
	Pos = VCFontSizeSlider->GetPos();
	FontSizeText->SetWindowText(_T(va("%d%%", Pos)));
	*pResult = 0;
}
