// SlidCtrl.cpp : implementation file
//

// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#include "stdafx.h"
#include "CmnCtrl2.h"
#include "SlidCtrl.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSliderCtrlPage property page


void DecodeInfoTabCHS1(int *);
void DecodeInfoTabCHS2(int *);
void OnSave(char *);
extern char *va(char *fmt, ...);
extern char chscfg[1024*5];
char info[2][8] = {0};
char info2[2][8] = {0};




IMPLEMENT_DYNCREATE(CSliderCtrlPage, CPropertyPage)

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CSliderCtrlPage::CSliderCtrlPage() : CPropertyPage(CSliderCtrlPage::IDD)
{
	//{{AFX_DATA_INIT(CSliderCtrlPage)
	
	//}}AFX_DATA_INIT
	m_psp.dwFlags &= ~PSP_HASHELP;  // Lose the Help button
}

CSliderCtrlPage::~CSliderCtrlPage()
{
}

void CSliderCtrlPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSliderCtrlPage)
	
	//}}AFX_DATA_MAP
}

BOOL CSliderCtrlPage::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	//--------------------------------
	//Center Set
	//--------------------------------	
	
	//df_ob_fast [ DEFAULT: 0 (off) RANGE: 0 (off) TO 1 (on) ]
	CButton* FastOBDCheck;
	FastOBDCheck = (CButton*) GetDlgItem(IDC_FASTOBD);
	GotoDlgCtrl(FastOBDCheck);

	//CHS0 Display
	//df_chs0_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS0DisplayComboBox;
	CHS0DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS0DISPLAY);
	GotoDlgCtrl(CHS0DisplayComboBox);
	int chs0d = CHS0DisplayComboBox->InitStorage(256, 10);
	ASSERT(chs0d != CB_ERRSPACE);
	CHS0DisplayComboBox->AddString("0-Off");
	CHS0DisplayComboBox->AddString("1-Always On");
	CHS0DisplayComboBox->AddString("2-Demos Only");
	CHS0DisplayComboBox->AddString("3-Never Demos");

	//CHS0 FontColor
	//df_chs0_FontColor	   [ default: 0 (white), range: 0 to 7 ] - changes font color
	CComboBox* CHS0FontColorComboBox;
	CHS0FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(CHS0FontColorComboBox);
	int chs0fc = CHS0FontColorComboBox->InitStorage(256, 10);
	ASSERT(chs0fc != CB_ERRSPACE);
	CHS0FontColorComboBox->AddString("0-Black");
	CHS0FontColorComboBox->AddString("1-Red");
	CHS0FontColorComboBox->AddString("2-Green");
	CHS0FontColorComboBox->AddString("3-Yellow");
	CHS0FontColorComboBox->AddString("4-Blue");
	CHS0FontColorComboBox->AddString("5-Cyan");
	CHS0FontColorComboBox->AddString("6-Magenta");
	CHS0FontColorComboBox->AddString("7-White");

	//df_chs0_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS0FontTransparencySlider;
	CHS0FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCY);
	GotoDlgCtrl(CHS0FontTransparencySlider);
	CHS0FontTransparencySlider->SetRange(0, 100, FALSE);
	CHS0FontTransparencySlider->SetTicFreq(25);

	//df_chs0_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS0FontSizeSlider;
	CHS0FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS0);
	GotoDlgCtrl(CHS0FontSizeSlider);
	CHS0FontSizeSlider->SetRange(4, 50, FALSE);
	CHS0FontSizeSlider->SetTicFreq(7);

	//df_chs0_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS0FontShadow;
	CHS0FontShadow = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS0);
	GotoDlgCtrl(CHS0FontShadow);

	//df_chs0_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS0LabelColorComboBox;
	CHS0LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS0);
	GotoDlgCtrl(CHS0LabelColorComboBox);
	int chs0lc = CHS0LabelColorComboBox->InitStorage(256, 10);
	ASSERT(chs0lc != CB_ERRSPACE);
	CHS0LabelColorComboBox->AddString("0-Black");
	CHS0LabelColorComboBox->AddString("1-Red");
	CHS0LabelColorComboBox->AddString("2-Green");
	CHS0LabelColorComboBox->AddString("3-Yellow");
	CHS0LabelColorComboBox->AddString("4-Blue");
	CHS0LabelColorComboBox->AddString("5-Cyan");
	CHS0LabelColorComboBox->AddString("6-Magenta");
	CHS0LabelColorComboBox->AddString("7-White");

	//df_chs0_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS0OffsetXSlider;
	CHS0OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS0);
	GotoDlgCtrl(CHS0OffsetXSlider);
	CHS0OffsetXSlider->SetRange(-320, 320, FALSE);
	CHS0OffsetXSlider->SetTicFreq(80);

	//df_chs0_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS0OffsetYSlider;
	CHS0OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS0);
	GotoDlgCtrl(CHS0OffsetYSlider);
	CHS0OffsetYSlider->SetRange(-240, 240, FALSE);
	CHS0OffsetYSlider->SetTicFreq(60);

	//df_chs0_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS0DisplayTypeComboBox;
	CHS0DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS0);
	GotoDlgCtrl(CHS0DisplayTypeComboBox);
	int chs0dt = CHS0DisplayTypeComboBox->InitStorage(256, 10);
	ASSERT(chs0dt != CB_ERRSPACE);
	CHS0DisplayTypeComboBox->AddString("0-Crosshair");
	CHS0DisplayTypeComboBox->AddString("1-Left");
	CHS0DisplayTypeComboBox->AddString("2-Center");
	CHS0DisplayTypeComboBox->AddString("3-Right");
	CHS0DisplayTypeComboBox->AddString("4-Split");


	//--------------------------------
	//User Sets (CHS set 1 and 2):
	//--------------------------------
	//CHS1 Display
	//df_chs1_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS1DisplayComboBox;
	CHS1DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS1DISPLAY);
	GotoDlgCtrl(CHS1DisplayComboBox);
	int chs1d = CHS1DisplayComboBox->InitStorage(256, 10);
	ASSERT(chs1d != CB_ERRSPACE);
	CHS1DisplayComboBox->AddString("0-Off");
	CHS1DisplayComboBox->AddString("1-Always On");
	CHS1DisplayComboBox->AddString("2-Demos Only");
	CHS1DisplayComboBox->AddString("3-Never Demos");

	//CHS1 FontColor
	//df_chs1_FontColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for data)
	CComboBox* CHS1FontColorComboBox;
	CHS1FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLORCHS1);
	GotoDlgCtrl(CHS1FontColorComboBox);
	int chs1fc = CHS1FontColorComboBox->InitStorage(256, 10);
	ASSERT(chs1fc != CB_ERRSPACE);
	CHS1FontColorComboBox->AddString("0-Black");
	CHS1FontColorComboBox->AddString("1-Red");
	CHS1FontColorComboBox->AddString("2-Green");
	CHS1FontColorComboBox->AddString("3-Yellow");
	CHS1FontColorComboBox->AddString("4-Blue");
	CHS1FontColorComboBox->AddString("5-Cyan");
	CHS1FontColorComboBox->AddString("6-Magenta");
	CHS1FontColorComboBox->AddString("7-White");

	//df_chs1_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS1FontTransparencySlider;
	CHS1FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS1);
	GotoDlgCtrl(CHS1FontTransparencySlider);
	CHS1FontTransparencySlider->SetRange(0, 100, FALSE);
	CHS1FontTransparencySlider->SetTicFreq(25);

	//df_chs1_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS1FontSizeSlider;
	CHS1FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS1);
	GotoDlgCtrl(CHS1FontSizeSlider);
	CHS1FontSizeSlider->SetRange(4, 50, FALSE);
	CHS1FontSizeSlider->SetTicFreq(7);

	//df_chs1_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS1FontShadow;
	CHS1FontShadow = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS1);
	GotoDlgCtrl(CHS1FontShadow);
	
	//df_chs1_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS1LabelColorComboBox;
	CHS1LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS1);
	GotoDlgCtrl(CHS1LabelColorComboBox);
	int chs1lc = CHS1LabelColorComboBox->InitStorage(256, 10);
	ASSERT(chs1lc != CB_ERRSPACE);
	CHS1LabelColorComboBox->AddString("0-Black");
	CHS1LabelColorComboBox->AddString("1-Red");
	CHS1LabelColorComboBox->AddString("2-Green");
	CHS1LabelColorComboBox->AddString("3-Yellow");
	CHS1LabelColorComboBox->AddString("4-Blue");
	CHS1LabelColorComboBox->AddString("5-Cyan");
	CHS1LabelColorComboBox->AddString("6-Magenta");
	CHS1LabelColorComboBox->AddString("7-White");

	//df_chs1_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS1OffsetXSlider;
	CHS1OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS1);
	GotoDlgCtrl(CHS1OffsetXSlider);
	CHS1OffsetXSlider->SetRange(-320, 320, FALSE);
	CHS1OffsetXSlider->SetTicFreq(80);

	//df_chs1_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS1OffsetYSlider;
	CHS1OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS1);
	GotoDlgCtrl(CHS1OffsetYSlider);
	CHS1OffsetYSlider->SetRange(-240, 240, FALSE);
	CHS1OffsetYSlider->SetTicFreq(60);

	//df_chs1_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS1DisplayTypeComboBox;
	CHS1DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS1);
	GotoDlgCtrl(CHS1DisplayTypeComboBox);
	int chs1dt = CHS1DisplayTypeComboBox->InitStorage(256, 10);
	ASSERT(chs1dt != CB_ERRSPACE);
	CHS1DisplayTypeComboBox->AddString("0-Crosshair");
	CHS1DisplayTypeComboBox->AddString("1-Left");
	CHS1DisplayTypeComboBox->AddString("2-Center");
	CHS1DisplayTypeComboBox->AddString("3-Right");
	CHS1DisplayTypeComboBox->AddString("4-Split");

	//df_chs1_LabelType [ default: 0 (off), range: 0 to 4 ] - changes the lable type of the CHS set
	CComboBox* CHS1LabelTypeComboBox;
	CHS1LabelTypeComboBox = (CComboBox*) GetDlgItem(IDC_LABELTYPECHS1);
	GotoDlgCtrl(CHS1LabelTypeComboBox);
	int chs1lt = CHS1LabelTypeComboBox->InitStorage(256, 10);
	ASSERT(chs1lt != CB_ERRSPACE);
	CHS1LabelTypeComboBox->AddString("0-Off");
	CHS1LabelTypeComboBox->AddString("1-Left");
	CHS1LabelTypeComboBox->AddString("2-Center 1");
	CHS1LabelTypeComboBox->AddString("3-Center 2");
	CHS1LabelTypeComboBox->AddString("4-Right");


	//CHS information types:
	//----------------------
	CComboBox* CHS1InfoComboBox;
	CHS1InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS1);
	GotoDlgCtrl(CHS1InfoComboBox);
	int chs1i = CHS1InfoComboBox->InitStorage(256, 10);
	ASSERT(chs1i != CB_ERRSPACE);
	CHS1InfoComboBox->AddString("#1");
	CHS1InfoComboBox->AddString("#2");
	CHS1InfoComboBox->AddString("#3");
	CHS1InfoComboBox->AddString("#4");
	CHS1InfoComboBox->AddString("#5");
	CHS1InfoComboBox->AddString("#6");
	CHS1InfoComboBox->AddString("#7");
	CHS1InfoComboBox->AddString("#8");


	CComboBox* CHS1InfoTypeComboBox;
	CHS1InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS1);
	GotoDlgCtrl(CHS1InfoTypeComboBox);
	int chs1it = CHS1InfoTypeComboBox->InitStorage(256, 10);
	ASSERT(chs1it != CB_ERRSPACE);
	CHS1InfoTypeComboBox->AddString("00-Empty");
	CHS1InfoTypeComboBox->AddString("01-Player Info");
	CHS1InfoTypeComboBox->AddString("02-Timers");
	CHS1InfoTypeComboBox->AddString("03-Player Speed");
	CHS1InfoTypeComboBox->AddString("04-Player Position");
	CHS1InfoTypeComboBox->AddString("05-Distance");
	CHS1InfoTypeComboBox->AddString("06-Overbounce");
	CHS1InfoTypeComboBox->AddString("07-More Overbounce");
	CHS1InfoTypeComboBox->AddString("08-Defrag Stats");
	CHS1InfoTypeComboBox->AddString("09-Ghost Settings");
	CHS1InfoTypeComboBox->AddString("10-Closest Ghost");
	CHS1InfoTypeComboBox->AddString("11-Real Life Stuff");
	CHS1InfoTypeComboBox->AddString("12-Settings");
	CHS1InfoTypeComboBox->AddString("13-Accel Meter");
	CHS1InfoTypeComboBox->AddString("14-Accel Meter Combos");

	CComboBox* CHS1InfoUniteComboBox;
	CHS1InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS1);
	GotoDlgCtrl(CHS1InfoUniteComboBox);
	int chs1iu = CHS1InfoUniteComboBox->InitStorage(256, 10);
	ASSERT(chs1iu != CB_ERRSPACE);
	CHS1InfoUniteComboBox->AddString("0-Empty");


	//CHS2 Display
	//df_chs2_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS2DisplayComboBox;
	CHS2DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS2DISPLAY);
	GotoDlgCtrl(CHS2DisplayComboBox);
	int chs2d = CHS2DisplayComboBox->InitStorage(256, 10);
	ASSERT(chs2d != CB_ERRSPACE);
	CHS2DisplayComboBox->AddString("0-Off");
	CHS2DisplayComboBox->AddString("1-Always On");
	CHS2DisplayComboBox->AddString("2-Demos Only");
	CHS2DisplayComboBox->AddString("3-Never Demos");

	//CHS2 FontColor
	//df_chs2_FontColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for data)
	CComboBox* CHS2FontColorComboBox;
	CHS2FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLORCHS2);
	GotoDlgCtrl(CHS2FontColorComboBox);
	int chs2fc = CHS2FontColorComboBox->InitStorage(256, 10);
	ASSERT(chs2fc != CB_ERRSPACE);
	CHS2FontColorComboBox->AddString("0-Black");
	CHS2FontColorComboBox->AddString("1-Red");
	CHS2FontColorComboBox->AddString("2-Green");
	CHS2FontColorComboBox->AddString("3-Yellow");
	CHS2FontColorComboBox->AddString("4-Blue");
	CHS2FontColorComboBox->AddString("5-Cyan");
	CHS2FontColorComboBox->AddString("6-Magenta");
	CHS2FontColorComboBox->AddString("7-White");

	//df_chs2_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS2FontTransparencySlider;
	CHS2FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS2);
	GotoDlgCtrl(CHS2FontTransparencySlider);
	CHS2FontTransparencySlider->SetRange(0, 100, FALSE);
	CHS2FontTransparencySlider->SetTicFreq(25);

	//df_chs2_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS2FontSizeSlider;
	CHS2FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS2);
	GotoDlgCtrl(CHS2FontSizeSlider);
	CHS2FontSizeSlider->SetRange(4, 50, FALSE);
	CHS2FontSizeSlider->SetTicFreq(7);

	//df_chs2_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS2FontShadow;
	CHS2FontShadow = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS2);
	GotoDlgCtrl(CHS2FontShadow);
	
	//df_chs2_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS2LabelColorComboBox;
	CHS2LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS2);
	GotoDlgCtrl(CHS2LabelColorComboBox);
	int chs2lc = CHS2LabelColorComboBox->InitStorage(256, 10);
	ASSERT(chs2lc != CB_ERRSPACE);
	CHS2LabelColorComboBox->AddString("0-Black");
	CHS2LabelColorComboBox->AddString("1-Red");
	CHS2LabelColorComboBox->AddString("2-Green");
	CHS2LabelColorComboBox->AddString("3-Yellow");
	CHS2LabelColorComboBox->AddString("4-Blue");
	CHS2LabelColorComboBox->AddString("5-Cyan");
	CHS2LabelColorComboBox->AddString("6-Magenta");
	CHS2LabelColorComboBox->AddString("7-White");

	//df_chs2_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS2OffsetXSlider;
	CHS2OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS2);
	GotoDlgCtrl(CHS2OffsetXSlider);
	CHS2OffsetXSlider->SetRange(-320, 320, FALSE);
	CHS2OffsetXSlider->SetTicFreq(80);

	//df_chs2_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS2OffsetYSlider;
	CHS2OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS2);
	GotoDlgCtrl(CHS2OffsetYSlider);
	CHS2OffsetYSlider->SetRange(-240, 240, FALSE);
	CHS2OffsetYSlider->SetTicFreq(60);

	//df_chs2_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS2DisplayTypeComboBox;
	CHS2DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS2);
	GotoDlgCtrl(CHS2DisplayTypeComboBox);
	int chs2dt = CHS2DisplayTypeComboBox->InitStorage(256, 10);
	ASSERT(chs2dt != CB_ERRSPACE);
	CHS2DisplayTypeComboBox->AddString("0-Crosshair");
	CHS2DisplayTypeComboBox->AddString("1-Left");
	CHS2DisplayTypeComboBox->AddString("2-Center");
	CHS2DisplayTypeComboBox->AddString("3-Right");
	CHS2DisplayTypeComboBox->AddString("4-Split");

	//df_chs1_LabelType [ default: 0 (off), range: 0 to 4 ] - changes the lable type of the CHS set
	CComboBox* CHS2LabelTypeComboBox;
	CHS2LabelTypeComboBox = (CComboBox*) GetDlgItem(IDC_LABELTYPECHS2);
	GotoDlgCtrl(CHS2LabelTypeComboBox);
	int chs2lt = CHS2LabelTypeComboBox->InitStorage(256, 10);
	ASSERT(chs2lt != CB_ERRSPACE);
	CHS2LabelTypeComboBox->AddString("0-Off");
	CHS2LabelTypeComboBox->AddString("1-Left");
	CHS2LabelTypeComboBox->AddString("2-Center 1");
	CHS2LabelTypeComboBox->AddString("3-Center 2");
	CHS2LabelTypeComboBox->AddString("4-Right");


	//CHS information types:
	//----------------------
	CComboBox* CHS2InfoComboBox;
	CHS2InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS2);
	GotoDlgCtrl(CHS2InfoComboBox);
	int chs2i = CHS2InfoComboBox->InitStorage(256, 10);
	ASSERT(chs2i != CB_ERRSPACE);
	CHS2InfoComboBox->AddString("#1");
	CHS2InfoComboBox->AddString("#2");
	CHS2InfoComboBox->AddString("#3");
	CHS2InfoComboBox->AddString("#4");
	CHS2InfoComboBox->AddString("#5");
	CHS2InfoComboBox->AddString("#6");
	CHS2InfoComboBox->AddString("#7");
	CHS2InfoComboBox->AddString("#8");


	CComboBox* CHS2InfoTypeComboBox;
	CHS2InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS2);
	GotoDlgCtrl(CHS2InfoTypeComboBox);
	int chs2it = CHS2InfoTypeComboBox->InitStorage(256, 10);
	ASSERT(chs2it != CB_ERRSPACE);
	CHS2InfoTypeComboBox->AddString("00-Empty");
	CHS2InfoTypeComboBox->AddString("01-Player Info");
	CHS2InfoTypeComboBox->AddString("02-Timers");
	CHS2InfoTypeComboBox->AddString("03-Player Speed");
	CHS2InfoTypeComboBox->AddString("04-Player Position");
	CHS2InfoTypeComboBox->AddString("05-Distance");
	CHS2InfoTypeComboBox->AddString("06-Overbounce");
	CHS2InfoTypeComboBox->AddString("07-More Overbounce");
	CHS2InfoTypeComboBox->AddString("08-Defrag Stats");
	CHS2InfoTypeComboBox->AddString("09-Ghost Settings");
	CHS2InfoTypeComboBox->AddString("10-Closest Ghost");
	CHS2InfoTypeComboBox->AddString("11-Real Life Stuff");
	CHS2InfoTypeComboBox->AddString("12-Settings");
	CHS2InfoTypeComboBox->AddString("13-Accel Meter");
	CHS2InfoTypeComboBox->AddString("14-Accel Meter Combos");

	CComboBox* CHS2InfoUniteComboBox;
	CHS2InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS2);
	GotoDlgCtrl(CHS2InfoUniteComboBox);
	int chs2iu = CHS2InfoUniteComboBox->InitStorage(256, 10);
	ASSERT(chs2iu != CB_ERRSPACE);
	CHS2InfoUniteComboBox->AddString("0-Empty");

	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICFONTCHS1);
	GotoDlgCtrl(FontSizeText);
	FontSizeText->SetWindowText(_T("7"));
	CWnd* FontSizeText2;
	FontSizeText2 = (CWnd*) GetDlgItem(IDC_STATICFONTCHS2);
	GotoDlgCtrl(FontSizeText2);
	FontSizeText2->SetWindowText(_T("7"));
	CWnd* FontSizeText3;
	FontSizeText3 = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS1);
	GotoDlgCtrl(FontSizeText3);
	FontSizeText3->SetWindowText(_T("100%"));
	CWnd* FontSizeText4;
	FontSizeText4 = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS2);
	GotoDlgCtrl(FontSizeText4);
	FontSizeText4->SetWindowText(_T("100%"));
	CWnd* FontSizeText5;
	FontSizeText5 = (CWnd*) GetDlgItem(IDC_STATICOFFSETXCHS1);
	GotoDlgCtrl(FontSizeText5);
	FontSizeText5->SetWindowText(_T("0"));
	CWnd* FontSizeText6;
	FontSizeText6 = (CWnd*) GetDlgItem(IDC_STATICOFFSETXCHS2);
	GotoDlgCtrl(FontSizeText6);
	FontSizeText6->SetWindowText(_T("0"));
	CWnd* FontSizeText7;
	FontSizeText7 = (CWnd*) GetDlgItem(IDC_STATICOFFSETYCHS1);
	GotoDlgCtrl(FontSizeText7);
	FontSizeText7->SetWindowText(_T("0"));
	CWnd* FontSizeText8;
	FontSizeText8 = (CWnd*) GetDlgItem(IDC_STATICOFFSETYCHS2);
	GotoDlgCtrl(FontSizeText8);
	FontSizeText8->SetWindowText(_T("0"));
	CWnd* FontSizeText9;
	FontSizeText9 = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS0);
	GotoDlgCtrl(FontSizeText9);
	FontSizeText9->SetWindowText(_T("100%"));


	//df_varHelpers_DrawOutput [ DEFAULT: 1 RANGE: 0 TO 8 STEP: INTEGER ]
	CComboBox* DrawOutputComboBox;
	DrawOutputComboBox = (CComboBox*) GetDlgItem(IDC_DRAWOUTPUT);
	GotoDlgCtrl(DrawOutputComboBox);
	int doo = DrawOutputComboBox->InitStorage(256, 10);
	ASSERT(doo != CB_ERRSPACE);
	DrawOutputComboBox->AddString("0-Off");
	DrawOutputComboBox->AddString("1-Style 1/White");
	DrawOutputComboBox->AddString("2-Style 1/CHS0 Colors");
	DrawOutputComboBox->AddString("3-Style 1/CHS1 Colors");
	DrawOutputComboBox->AddString("4-Style 1/CHS2 Colors");
	DrawOutputComboBox->AddString("5-Style 2/White");
	DrawOutputComboBox->AddString("6-Style 2/CHS0 Colors");
	DrawOutputComboBox->AddString("7-Style 2/CHS1 Colors");
	DrawOutputComboBox->AddString("8-Style 2/CHS2 Colors");


	

	CHS0DisplayComboBox->SetCurSel(0);
	CHS0FontSizeSlider->SetPos(7);
	CHS0FontShadow->SetCheck(BST_CHECKED);
	CHS0FontColorComboBox->SetCurSel(7);
	CHS0FontTransparencySlider->SetPos(100);
	CHS0LabelColorComboBox->SetCurSel(7);
	CHS0OffsetXSlider->SetPos(0);
	CHS0OffsetYSlider->SetPos(0);
	CHS0DisplayTypeComboBox->SetCurSel(0);

	CHS1DisplayComboBox->SetCurSel(0);
	CHS1FontColorComboBox->SetCurSel(7);
	CHS1FontTransparencySlider->SetPos(100);
	CHS1FontSizeSlider->SetPos(7);
	CHS1FontShadow->SetCheck(BST_CHECKED);
	CHS1LabelColorComboBox->SetCurSel(7);
	CHS1OffsetXSlider->SetPos(0);
	CHS1OffsetYSlider->SetPos(0);
	CHS1DisplayTypeComboBox->SetCurSel(0);
	CHS1LabelTypeComboBox->SetCurSel(0);
	CHS1InfoComboBox->SetCurSel(0);
	CHS1InfoTypeComboBox->SetCurSel(0);
	CHS1InfoUniteComboBox->SetCurSel(0);

	CHS2DisplayComboBox->SetCurSel(0);
	CHS2FontColorComboBox->SetCurSel(7);
	CHS2FontTransparencySlider->SetPos(100);
	CHS2FontSizeSlider->SetPos(7);
	CHS2FontShadow->SetCheck(BST_CHECKED);
	CHS2LabelColorComboBox->SetCurSel(7);
	CHS2OffsetXSlider->SetPos(0);
	CHS2OffsetYSlider->SetPos(0);
	CHS2DisplayTypeComboBox->SetCurSel(0);
	CHS2LabelTypeComboBox->SetCurSel(0);
	CHS2InfoComboBox->SetCurSel(0);
	CHS2InfoTypeComboBox->SetCurSel(0);
	CHS2InfoUniteComboBox->SetCurSel(0);

	DrawOutputComboBox->SetCurSel(1);

	

	
	return TRUE;
}


BEGIN_MESSAGE_MAP(CSliderCtrlPage, CPropertyPage)
	//{{AFX_MSG_MAP(CSliderCtrlPage)
	
	//}}AFX_MSG_MAP

	ON_BN_CLICKED(IDC_APPLYCHS, OnBnClickedApplychs)
	ON_CBN_SELCHANGE(IDC_INFONBCHS1, OnCbnSelchangeInfonbchs1)
	ON_CBN_SELCHANGE(IDC_DIZAINECHS1, OnCbnSelchangeDizainechs1)
	ON_CBN_SELCHANGE(IDC_UNITECHS1, OnCbnSelchangeUnitechs1)
	ON_CBN_SELCHANGE(IDC_INFONBCHS2, OnCbnSelchangeInfonbchs2)
	ON_CBN_SELCHANGE(IDC_DIZAINECHS2, OnCbnSelchangeDizainechs2)
	ON_CBN_SELCHANGE(IDC_UNITECHS2, OnCbnSelchangeUnitechs2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_FONTSIZECHS1, OnNMReleasedcaptureFontsizechs1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_FONTSIZECHS2, OnNMReleasedcaptureFontsizechs2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TRANSPARENCYCHS1, OnNMReleasedcaptureTransparencychs1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TRANSPARENCYCHS2, OnNMReleasedcaptureTransparencychs2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETXCHS1, OnNMReleasedcaptureOffsetxchs1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETXCHS2, OnNMReleasedcaptureOffsetxchs2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETYCHS1, OnNMReleasedcaptureOffsetychs1)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETYCHS2, OnNMReleasedcaptureOffsetychs2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TRANSPARENCY, OnNMReleasedcaptureTransparency)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_FONTSIZECHS0, OnNMReleasedcaptureFontsizechs0)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETXCHS0, OnNMReleasedcaptureOffsetxchs0)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETYCHS0, OnNMReleasedcaptureOffsetychs0)
END_MESSAGE_MAP()

void CSliderCtrlPage::OnBnClickedApplychs()
{
	double SliderPos;

	//df_ob_fast [ DEFAULT: 0 (off) RANGE: 0 (off) TO 1 (on) ]
	CButton* FastOBDCheck;
	FastOBDCheck = (CButton*) GetDlgItem(IDC_FASTOBD);
	GotoDlgCtrl(FastOBDCheck);

	//df_chs0_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS0DisplayComboBox;
	CHS0DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS0DISPLAY);
	GotoDlgCtrl(CHS0DisplayComboBox);

	//df_chs0_FontColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color
	CComboBox* CHS0FontColorComboBox;
	CHS0FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLOR);
	GotoDlgCtrl(CHS0FontColorComboBox);

	//df_chs0_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS0FontTransparencySlider;
	CHS0FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCY);
	GotoDlgCtrl(CHS0FontTransparencySlider);

	//df_chs0_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS0FontSizeSlider;
	CHS0FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS0);
	GotoDlgCtrl(CHS0FontSizeSlider);
	
	//df_chs0_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS0FontShadowCheck;
	CHS0FontShadowCheck = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS0);
	GotoDlgCtrl(CHS0FontShadowCheck);

	//df_chs0_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS0LabelColorComboBox;
	CHS0LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS0);
	GotoDlgCtrl(CHS0LabelColorComboBox);
	
	//df_chs0_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS0OffsetXSlider;
	CHS0OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS0);
	GotoDlgCtrl(CHS0OffsetXSlider);
	
	//df_chs0_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS0OffsetYSlider;
	CHS0OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS0);
	GotoDlgCtrl(CHS0OffsetYSlider);
	
	//df_chs0_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS0DisplayTypeComboBox;
	CHS0DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS0);
	GotoDlgCtrl(CHS0DisplayTypeComboBox);
	

	//--------------------------------
	//User Sets (CHS set 1 and 2):
	//--------------------------------
	//CHS1 Display
	//df_chs1_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS1DisplayComboBox;
	CHS1DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS1DISPLAY);
	GotoDlgCtrl(CHS1DisplayComboBox);
	
	//CHS1 FontColor
	//df_chs1_FontColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for data)
	CComboBox* CHS1FontColorComboBox;
	CHS1FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLORCHS1);
	GotoDlgCtrl(CHS1FontColorComboBox);
	
	//df_chs1_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS1FontTransparencySlider;
	CHS1FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS1);
	GotoDlgCtrl(CHS1FontTransparencySlider);
	
	//df_chs1_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS1FontSizeSlider;
	CHS1FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS1);
	GotoDlgCtrl(CHS1FontSizeSlider);
	
	//df_chs1_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS1FontShadowCheck;
	CHS1FontShadowCheck = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS1);
	GotoDlgCtrl(CHS1FontShadowCheck);
	
	//df_chs1_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS1LabelColorComboBox;
	CHS1LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS1);
	GotoDlgCtrl(CHS1LabelColorComboBox);
	
	//df_chs1_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS1OffsetXSlider;
	CHS1OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS1);
	GotoDlgCtrl(CHS1OffsetXSlider);

	//df_chs1_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS1OffsetYSlider;
	CHS1OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS1);
	GotoDlgCtrl(CHS1OffsetYSlider);
	
	//df_chs1_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS1DisplayTypeComboBox;
	CHS1DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS1);
	GotoDlgCtrl(CHS1DisplayTypeComboBox);
	
	//df_chs1_LabelType [ default: 0 (off), range: 0 to 4 ] - changes the lable type of the CHS set
	CComboBox* CHS1LabelTypeComboBox;
	CHS1LabelTypeComboBox = (CComboBox*) GetDlgItem(IDC_LABELTYPECHS1);
	GotoDlgCtrl(CHS1LabelTypeComboBox);
	


	//df_chs2_Draw [ default: 0 (off), range: 0 to 3 ] - turns display on/off
	CComboBox* CHS2DisplayComboBox;
	CHS2DisplayComboBox = (CComboBox*) GetDlgItem(IDC_CHS2DISPLAY);
	GotoDlgCtrl(CHS2DisplayComboBox);
	
	//CHS2 FontColor
	//df_chs2_FontColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for data)
	CComboBox* CHS2FontColorComboBox;
	CHS2FontColorComboBox = (CComboBox*) GetDlgItem(IDC_FONTCOLORCHS2);
	GotoDlgCtrl(CHS2FontColorComboBox);
	
	//df_chs2_FontTransparency [ default: 1 (no transparency), range: 0 to 1 (.xx) ] - changes font transparency
	CSliderCtrl* CHS2FontTransparencySlider;
	CHS2FontTransparencySlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS2);
	GotoDlgCtrl(CHS2FontTransparencySlider);
	
	//df_chs2_FontSize	   [ default: 7, range: 4 to 15 ] - changes font size
	CSliderCtrl* CHS2FontSizeSlider;
	CHS2FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS2);
	GotoDlgCtrl(CHS2FontSizeSlider);
	
	//df_chs2_FontShadow	   [ default: 1 (on), range: 0 to 1 ] - toggles font shadows
	CButton* CHS2FontShadowCheck;
	CHS2FontShadowCheck = (CButton*) GetDlgItem(IDC_FONTSHADOWCHS2);
	GotoDlgCtrl(CHS2FontShadowCheck);
	
	//df_chs2_LabelColor	   [ default: 0 (white), range: 0 to 9 ] - changes font color (for label)
	CComboBox* CHS2LabelColorComboBox;
	CHS2LabelColorComboBox = (CComboBox*) GetDlgItem(IDC_LABELCOLORCHS2);
	GotoDlgCtrl(CHS2LabelColorComboBox);
	
	//df_chs2_OffsetX [ default: 0*, range: -320 to 320 ] - changes the horizontal position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS2OffsetXSlider;
	CHS2OffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS2);
	GotoDlgCtrl(CHS2OffsetXSlider);
	
	//df_chs2_OffsetY [ default: 0*, range: -240 to 240 ] - changes the vertical position of the CHS set relative to the center of the screen
	CSliderCtrl* CHS2OffsetYSlider;
	CHS2OffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS2);
	GotoDlgCtrl(CHS2OffsetYSlider);
	
	//df_chs2_DisplayType [ default: 0* (crosshair style), range: 0 to 4 ] - changes the display type of the CHS set
	CComboBox* CHS2DisplayTypeComboBox;
	CHS2DisplayTypeComboBox = (CComboBox*) GetDlgItem(IDC_DISPLAYTYPECHS2);
	GotoDlgCtrl(CHS2DisplayTypeComboBox);
	
	//df_chs2_LabelType [ default: 0 (off), range: 0 to 4 ] - changes the lable type of the CHS set
	CComboBox* CHS2LabelTypeComboBox;
	CHS2LabelTypeComboBox = (CComboBox*) GetDlgItem(IDC_LABELTYPECHS2);
	GotoDlgCtrl(CHS2LabelTypeComboBox);

	//df_varHelpers_DrawOutput [ DEFAULT: 1 RANGE: 0 TO 8 STEP: INTEGER ]
	CComboBox* DrawOutputComboBox;
	DrawOutputComboBox = (CComboBox*) GetDlgItem(IDC_DRAWOUTPUT);
	GotoDlgCtrl(DrawOutputComboBox);

	chscfg[0] = 0;
	strcat(chscfg, "\n\n//Created by DefragTool - Crosshair Stats Display System (CHS)\n");

	int FastOBD = FastOBDCheck->GetState() & 0x0003;
	strcat(chscfg, va("set df_ob_fast %d\n", FastOBD));

	int nIndex = DrawOutputComboBox->GetCurSel();
	strcat(chscfg, va("set df_varHelpers_DrawOutput %d\n", nIndex));
	
	strcat(chscfg, "\n\n//Center Set - CHS 0\n");

	nIndex = CHS0DisplayComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs0_Draw %d\n", nIndex));

	SliderPos = CHS0FontSizeSlider->GetPos();
	strcat(chscfg, va("set df_chs0_FontSize %f\n", SliderPos));

	int CHS0FontShadow = CHS0FontShadowCheck->GetState() & 0x0003;
	strcat(chscfg, va("set df_chs0_FontShadow %d\n", CHS0FontShadow));

	nIndex = CHS0FontColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs0_FontColor %d\n", nIndex));

	SliderPos = CHS0FontTransparencySlider->GetPos();
	strcat(chscfg, va("set df_chs0_FontTransparency %f\n", SliderPos/100));

	nIndex = CHS0LabelColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs0_LabelColor %d\n", nIndex));

	SliderPos = CHS0OffsetXSlider->GetPos();
	strcat(chscfg, va("set df_chs0_OffsetX %f\n", SliderPos));

	SliderPos = CHS0OffsetYSlider->GetPos();
	strcat(chscfg, va("set df_chs0_OffsetY %f\n", SliderPos));

	nIndex = CHS0DisplayTypeComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs0_DisplayType %d\n", nIndex));




	strcat(chscfg, "\n\n//CHS 1 Config\n");
	
	nIndex = CHS1DisplayComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs1_Draw %d\n", nIndex));

	nIndex = CHS1FontColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs1_FontColor %d\n", nIndex));

	SliderPos = CHS1FontTransparencySlider->GetPos();
	strcat(chscfg, va("set df_chs1_FontTransparency %f\n", SliderPos/100));

	SliderPos = CHS1FontSizeSlider->GetPos();
	strcat(chscfg, va("set df_chs1_FontSize %f\n", SliderPos));

	int CHS1FontShadow = CHS1FontShadowCheck->GetState() & 0x0003;
	strcat(chscfg, va("set df_chs1_FontShadow %d\n", CHS1FontShadow));

	nIndex = CHS1LabelColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs1_LabelColor %d\n", nIndex));

	SliderPos = CHS1OffsetXSlider->GetPos();
	strcat(chscfg, va("set df_chs1_OffsetX %f\n", SliderPos));

	SliderPos = CHS1OffsetYSlider->GetPos();
	strcat(chscfg, va("set df_chs1_OffsetY %f\n", SliderPos));

	nIndex = CHS1DisplayTypeComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs1_DisplayType %d\n", nIndex));

	nIndex = CHS1LabelTypeComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs1_LabelType %d\n", nIndex));

	int tab[8] = {0};
	DecodeInfoTabCHS1(tab);
	int i;
	for(i=0; i<8; i++)	strcat(chscfg, va("set df_chs1_Info%d %d\n", i+1, tab[i]));

	strcat(chscfg, "\n\n//CHS 2 Config\n");
	
	nIndex = CHS2DisplayComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs2_Draw %d\n", nIndex));

	nIndex = CHS2FontColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs2_FontColor %d\n", nIndex));

	SliderPos = CHS2FontTransparencySlider->GetPos();
	strcat(chscfg, va("set df_chs2_FontTransparency %f\n", SliderPos/100));

	SliderPos = CHS2FontSizeSlider->GetPos();
	strcat(chscfg, va("set df_chs2_FontSize %f\n", SliderPos));

	int CHS2FontShadow = CHS2FontShadowCheck->GetState() & 0x0003;
	strcat(chscfg, va("set df_chs2_FontShadow %d\n", CHS2FontShadow));

	nIndex = CHS2LabelColorComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs2_LabelColor %d\n", nIndex));

	SliderPos = CHS2OffsetXSlider->GetPos();
	strcat(chscfg, va("set df_chs2_OffsetX %f\n", SliderPos));

	SliderPos = CHS2OffsetYSlider->GetPos();
	strcat(chscfg, va("set df_chs2_OffsetY %f\n", SliderPos));

	nIndex = CHS2DisplayTypeComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs2_DisplayType %d\n", nIndex));

	nIndex = CHS2LabelTypeComboBox->GetCurSel();
	strcat(chscfg, va("set df_chs2_LabelType %d\n", nIndex));

	tab[0] = 0;
	DecodeInfoTabCHS2(tab);
	for(i=0; i<8; i++)	strcat(chscfg, va("set df_chs2_Info%d %d\n", i+1, tab[i]));
}

void CSliderCtrlPage::OnCbnSelchangeInfonbchs1()
{
	CComboBox* CHS1InfoComboBox;
	CHS1InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS1);
	GotoDlgCtrl(CHS1InfoComboBox);

	CComboBox* CHS1InfoTypeComboBox;
	CHS1InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS1);
	GotoDlgCtrl(CHS1InfoTypeComboBox);
	
	CComboBox* CHS1InfoUniteComboBox;
	CHS1InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS1);
	GotoDlgCtrl(CHS1InfoUniteComboBox);
	
	int nIndex = CHS1InfoComboBox->GetCurSel();
	info[0][nIndex] = char(CHS1InfoTypeComboBox->GetCurSel());
	info[1][nIndex] = char(CHS1InfoUniteComboBox->GetCurSel());


}

void CSliderCtrlPage::OnCbnSelchangeDizainechs1()
{
	CComboBox* CHS1InfoComboBox;
	CHS1InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS1);
	GotoDlgCtrl(CHS1InfoComboBox);

	CComboBox* CHS1InfoTypeComboBox;
	CHS1InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS1);
	GotoDlgCtrl(CHS1InfoTypeComboBox);
	
	CComboBox* CHS1InfoUniteComboBox;
	CHS1InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS1);
	GotoDlgCtrl(CHS1InfoUniteComboBox);
	
	int nIndex = CHS1InfoComboBox->GetCurSel();
	info[0][nIndex] = char(CHS1InfoTypeComboBox->GetCurSel());

	switch(info[0][nIndex]){
		case 0: 
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Empty");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 1 - player info
		case 1:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Speed");
			CHS1InfoUniteComboBox->AddString("1-Health");
			CHS1InfoUniteComboBox->AddString("2-Armor");
			CHS1InfoUniteComboBox->AddString("3-Ammo");
			CHS1InfoUniteComboBox->AddString("4-H/Ar");
			CHS1InfoUniteComboBox->AddString("5-H/Ar/Am");
			CHS1InfoUniteComboBox->AddString("6-Input");
			CHS1InfoUniteComboBox->AddString("7-Input - FLBR - JCA");
			CHS1InfoUniteComboBox->AddString("8-Input - USER - JCA");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 10 - timers
		case 2:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Server");
			CHS1InfoUniteComboBox->AddString("1-Defrag");
			CHS1InfoUniteComboBox->AddString("2-BestTime");
			CHS1InfoUniteComboBox->AddString("3-BestTime - Time");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 20 - player speed (uses ups)
		case 3:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-X Axis");
			CHS1InfoUniteComboBox->AddString("1-Y Axis");
			CHS1InfoUniteComboBox->AddString("2-Z Axis");
			CHS1InfoUniteComboBox->AddString("3-Horizontal");
			CHS1InfoUniteComboBox->AddString("4-True");
			CHS1InfoUniteComboBox->AddString("5-Forward");
			CHS1InfoUniteComboBox->AddString("6-Side");
			CHS1InfoUniteComboBox->AddString("7-Forward/Side");
			CHS1InfoUniteComboBox->AddString("8-All");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 30 - player position and distances
		case 4:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Pitch");
			CHS1InfoUniteComboBox->AddString("1-Yaw");
			CHS1InfoUniteComboBox->AddString("2-Pitch/Yaw");
			CHS1InfoUniteComboBox->AddString("3-Position");
			CHS1InfoUniteComboBox->AddString("4-Pos/Pitch/Yaw");
			CHS1InfoUniteComboBox->AddString("5-Horizontal Distance");
			CHS1InfoUniteComboBox->AddString("6-Vertical Distance");
			CHS1InfoUniteComboBox->AddString("7-3D Distance");
			CHS1InfoUniteComboBox->AddString("8-All Distance");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 40 - plane distances (that player is looking at)
		case 5:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-XY Distance");
			CHS1InfoUniteComboBox->AddString("1-Z Distance");
			CHS1InfoUniteComboBox->AddString("2-XYZ Distance");
			CHS1InfoUniteComboBox->AddString("3-All");
			CHS1InfoUniteComboBox->AddString("4-XYZ World");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 50 - overbounce
		case 6:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-OBD Floor Below");
			CHS1InfoUniteComboBox->AddString("1-OBD Floor Looked");
			CHS1InfoUniteComboBox->AddString("2-OBJ Floor Looked");
			CHS1InfoUniteComboBox->AddString("3-OBD+OBJ");
			CHS1InfoUniteComboBox->AddString("4-All no-Weapons");
			CHS1InfoUniteComboBox->AddString("5-All OB");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 60 - overbounce
		case 7:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-OB Plasma");
			CHS1InfoUniteComboBox->AddString("1-OB Plasma Jump");
			CHS1InfoUniteComboBox->AddString("2-OB Rocket");
			CHS1InfoUniteComboBox->AddString("3-OB Rocket Jump");
			CHS1InfoUniteComboBox->AddString("4-OB Weapons");
			CHS1InfoUniteComboBox->AddString("5-Quaded Plasma");
			CHS1InfoUniteComboBox->AddString("6-Quaded Plasma Jump");
			CHS1InfoUniteComboBox->AddString("7-Quaded Rocket");
			CHS1InfoUniteComboBox->AddString("8-Quaded Rocket Jump");
			CHS1InfoUniteComboBox->AddString("9-Quaded Weapons");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 70 - defrag stats
		case 8:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Jump Height");
			CHS1InfoUniteComboBox->AddString("1-Jump Distance");
			CHS1InfoUniteComboBox->AddString("2-highest Jump");
			CHS1InfoUniteComboBox->AddString("3-Longest Jump");
			CHS1InfoUniteComboBox->AddString("4-Distance Meter");
			CHS1InfoUniteComboBox->AddString("5-Health/Armor Spent");
			CHS1InfoUniteComboBox->AddString("6-Shots Fired");
			CHS1InfoUniteComboBox->AddString("7-highest Speed");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 80 - ghost settings
		case 9:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-All Settings");
			CHS1InfoUniteComboBox->AddString("1-Ghost #1");
			CHS1InfoUniteComboBox->AddString("2-Ghost #1 Record");
			CHS1InfoUniteComboBox->AddString("3-Ghost #1 Play");
			CHS1InfoUniteComboBox->AddString("4-Ghost #2");
			CHS1InfoUniteComboBox->AddString("5-Ghost #2 Record");
			CHS1InfoUniteComboBox->AddString("6-Ghost #2 Play");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 90 - closest ghost info
		case 10:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Speed");
			CHS1InfoUniteComboBox->AddString("1-Horizontal Distance");
			CHS1InfoUniteComboBox->AddString("2-Vertical Distance");
			CHS1InfoUniteComboBox->AddString("3-Absolute Distance");
			CHS1InfoUniteComboBox->AddString("4-All Distance");
			CHS1InfoUniteComboBox->AddString("5-World Position");
			CHS1InfoUniteComboBox->AddString("6-Total Memory Used");
			CHS1InfoUniteComboBox->AddString("7-Ghost Version");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 100 - real life stuff
		case 11:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Time (12 Hours)");
			CHS1InfoUniteComboBox->AddString("1-Time (24 Hours)");
			CHS1InfoUniteComboBox->AddString("2-Date (US Format)");
			CHS1InfoUniteComboBox->AddString("3-Date/Time (US/12h)");
			CHS1InfoUniteComboBox->AddString("4-Date/Time (US/24h)");
			CHS1InfoUniteComboBox->AddString("5-Date (EU Format)");
			CHS1InfoUniteComboBox->AddString("6-Date/Time (EU/12h)");
			CHS1InfoUniteComboBox->AddString("7-Date/Time (EU/24h)");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 110 - settings
		case 12:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Frame Per Second");
			CHS1InfoUniteComboBox->AddString("1-Server Settings #1");
			CHS1InfoUniteComboBox->AddString("2-Server Settings #2");
			CHS1InfoUniteComboBox->AddString("3-Map/Server Name");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 120 - AccelMeter
		case 13:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Angle CounterClockWise");
			CHS1InfoUniteComboBox->AddString("1-Angle ClockWise");
			CHS1InfoUniteComboBox->AddString("2-Acceleration (%)");
			CHS1InfoUniteComboBox->AddString("3-Speed (%)");
			CHS1InfoUniteComboBox->AddString("4-Speed");
			CHS1InfoUniteComboBox->AddString("5-Max Speed");
			CHS1InfoUniteComboBox->AddString("6-XY Acceleration (%)");
			CHS1InfoUniteComboBox->AddString("7-XY Speed (%)");
			CHS1InfoUniteComboBox->AddString("8-XY Speed");
			CHS1InfoUniteComboBox->AddString("9-XY Max Speed");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 130 - Accelmeter combos
		case 14:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Angle");
			CHS1InfoUniteComboBox->AddString("1-Acceleration/Speed (%)");
			CHS1InfoUniteComboBox->AddString("2-All Speed");
			CHS1InfoUniteComboBox->AddString("3-XY Acceleration/Speed (%)");
			CHS1InfoUniteComboBox->AddString("4-All XY Speed");
			CHS1InfoUniteComboBox->AddString("5-AllAcceleration (%)");
			CHS1InfoUniteComboBox->AddString("6-All Acceleration/Speed (%)");
			CHS1InfoUniteComboBox->AddString("7-All Speed...");			
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;

		default:
			CHS1InfoUniteComboBox->ResetContent();
			CHS1InfoUniteComboBox->AddString("0-Empty");
			CHS1InfoUniteComboBox->SetCurSel(0);
			break;
	}
	info[1][nIndex] = char(CHS1InfoUniteComboBox->GetCurSel());

        

}

void CSliderCtrlPage::OnCbnSelchangeUnitechs1()
{
	CComboBox* CHS1InfoComboBox;
	CHS1InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS1);
	GotoDlgCtrl(CHS1InfoComboBox);

	CComboBox* CHS1InfoTypeComboBox;
	CHS1InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS1);
	GotoDlgCtrl(CHS1InfoTypeComboBox);
	
	CComboBox* CHS1InfoUniteComboBox;
	CHS1InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS1);
	GotoDlgCtrl(CHS1InfoUniteComboBox);
	
	int nIndex = CHS1InfoComboBox->GetCurSel();
	info[0][nIndex] = char(CHS1InfoTypeComboBox->GetCurSel());
	info[1][nIndex] = char(CHS1InfoUniteComboBox->GetCurSel());
}

void CSliderCtrlPage::OnCbnSelchangeInfonbchs2()
{
	CComboBox* CHS2InfoComboBox;
	CHS2InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS2);
	GotoDlgCtrl(CHS2InfoComboBox);

	CComboBox* CHS2InfoTypeComboBox;
	CHS2InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS2);
	GotoDlgCtrl(CHS2InfoTypeComboBox);
	
	CComboBox* CHS2InfoUniteComboBox;
	CHS2InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS2);
	GotoDlgCtrl(CHS2InfoUniteComboBox);
	
	int nIndex = CHS2InfoComboBox->GetCurSel();
	info2[0][nIndex] = char(CHS2InfoTypeComboBox->GetCurSel());
	info2[1][nIndex] = char(CHS2InfoUniteComboBox->GetCurSel());
}

void CSliderCtrlPage::OnCbnSelchangeDizainechs2()
{
	CComboBox* CHS2InfoComboBox;
	CHS2InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS2);
	GotoDlgCtrl(CHS2InfoComboBox);

	CComboBox* CHS2InfoTypeComboBox;
	CHS2InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS2);
	GotoDlgCtrl(CHS2InfoTypeComboBox);
	
	CComboBox* CHS2InfoUniteComboBox;
	CHS2InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS2);
	GotoDlgCtrl(CHS2InfoUniteComboBox);
	
	int nIndex = CHS2InfoComboBox->GetCurSel();
	info2[0][nIndex] = char(CHS2InfoTypeComboBox->GetCurSel());

	switch(info2[0][nIndex]){
		case 0: 
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Empty");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 1 - player info
		case 1:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Speed");
			CHS2InfoUniteComboBox->AddString("1-Health");
			CHS2InfoUniteComboBox->AddString("2-Armor");
			CHS2InfoUniteComboBox->AddString("3-Ammo");
			CHS2InfoUniteComboBox->AddString("4-H/Ar");
			CHS2InfoUniteComboBox->AddString("5-H/Ar/Am");
			CHS2InfoUniteComboBox->AddString("6-Input");
			CHS2InfoUniteComboBox->AddString("7-Input - FLBR - JCA");
			CHS2InfoUniteComboBox->AddString("8-Input - USER - JCA");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 10 - timers
		case 2:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Server");
			CHS2InfoUniteComboBox->AddString("1-Defrag");
			CHS2InfoUniteComboBox->AddString("2-BestTime");
			CHS2InfoUniteComboBox->AddString("3-BestTime - Time");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 20 - player speed (uses ups)
		case 3:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-X Axis");
			CHS2InfoUniteComboBox->AddString("1-Y Axis");
			CHS2InfoUniteComboBox->AddString("2-Z Axis");
			CHS2InfoUniteComboBox->AddString("3-Horizontal");
			CHS2InfoUniteComboBox->AddString("4-True");
			CHS2InfoUniteComboBox->AddString("5-Forward");
			CHS2InfoUniteComboBox->AddString("6-Side");
			CHS2InfoUniteComboBox->AddString("7-Forward/Side");
			CHS2InfoUniteComboBox->AddString("8-All");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 30 - player position and distances
		case 4:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Pitch");
			CHS2InfoUniteComboBox->AddString("1-Yaw");
			CHS2InfoUniteComboBox->AddString("2-Pitch/Yaw");
			CHS2InfoUniteComboBox->AddString("3-Position");
			CHS2InfoUniteComboBox->AddString("4-Pos/Pitch/Yaw");
			CHS2InfoUniteComboBox->AddString("5-Horizontal Distance");
			CHS2InfoUniteComboBox->AddString("6-Vertical Distance");
			CHS2InfoUniteComboBox->AddString("7-3D Distance");
			CHS2InfoUniteComboBox->AddString("8-All Distance");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 40 - plane distances (that player is looking at)
		case 5:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-XY Distance");
			CHS2InfoUniteComboBox->AddString("1-Z Distance");
			CHS2InfoUniteComboBox->AddString("2-XYZ Distance");
			CHS2InfoUniteComboBox->AddString("3-All");
			CHS2InfoUniteComboBox->AddString("4-XYZ World");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 50 - overbounce
		case 6:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-OBD Floor Below");
			CHS2InfoUniteComboBox->AddString("1-OBD Floor Looked");
			CHS2InfoUniteComboBox->AddString("2-OBJ Floor Looked");
			CHS2InfoUniteComboBox->AddString("3-OBD+OBJ");
			CHS2InfoUniteComboBox->AddString("4-All no-Weapons");
			CHS2InfoUniteComboBox->AddString("5-All OB");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 60 - overbounce
		case 7:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-OB Plasma");
			CHS2InfoUniteComboBox->AddString("1-OB Plasma Jump");
			CHS2InfoUniteComboBox->AddString("2-OB Rocket");
			CHS2InfoUniteComboBox->AddString("3-OB Rocket Jump");
			CHS2InfoUniteComboBox->AddString("4-OB Weapons");
			CHS2InfoUniteComboBox->AddString("5-Quaded Plasma");
			CHS2InfoUniteComboBox->AddString("6-Quaded Plasma Jump");
			CHS2InfoUniteComboBox->AddString("7-Quaded Rocket");
			CHS2InfoUniteComboBox->AddString("8-Quaded Rocket Jump");
			CHS2InfoUniteComboBox->AddString("9-Quaded Weapons");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 70 - defrag stats
		case 8:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Jump Height");
			CHS2InfoUniteComboBox->AddString("1-Jump Distance");
			CHS2InfoUniteComboBox->AddString("2-highest Jump");
			CHS2InfoUniteComboBox->AddString("3-Longest Jump");
			CHS2InfoUniteComboBox->AddString("4-Distance Meter");
			CHS2InfoUniteComboBox->AddString("5-Health/Armor Spent");
			CHS2InfoUniteComboBox->AddString("6-Shots Fired");
			CHS2InfoUniteComboBox->AddString("7-highest Speed");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 80 - ghost settings
		case 9:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-All Settings");
			CHS2InfoUniteComboBox->AddString("1-Ghost #1");
			CHS2InfoUniteComboBox->AddString("2-Ghost #1 Record");
			CHS2InfoUniteComboBox->AddString("3-Ghost #1 Play");
			CHS2InfoUniteComboBox->AddString("4-Ghost #2");
			CHS2InfoUniteComboBox->AddString("5-Ghost #2 Record");
			CHS2InfoUniteComboBox->AddString("6-Ghost #2 Play");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 90 - closest ghost info
		case 10:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Speed");
			CHS2InfoUniteComboBox->AddString("1-Horizontal Distance");
			CHS2InfoUniteComboBox->AddString("2-Vertical Distance");
			CHS2InfoUniteComboBox->AddString("3-Absolute Distance");
			CHS2InfoUniteComboBox->AddString("4-All Distance");
			CHS2InfoUniteComboBox->AddString("5-World Position");
			CHS2InfoUniteComboBox->AddString("6-Total Memory Used");
			CHS2InfoUniteComboBox->AddString("7-Ghost Version");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 100 - real life stuff
		case 11:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Time (12 Hours)");
			CHS2InfoUniteComboBox->AddString("1-Time (24 Hours)");
			CHS2InfoUniteComboBox->AddString("2-Date (US Format)");
			CHS2InfoUniteComboBox->AddString("3-Date/Time (US/12h)");
			CHS2InfoUniteComboBox->AddString("4-Date/Time (US/24h)");
			CHS2InfoUniteComboBox->AddString("5-Date (EU Format)");
			CHS2InfoUniteComboBox->AddString("6-Date/Time (EU/12h)");
			CHS2InfoUniteComboBox->AddString("7-Date/Time (EU/24h)");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 110 - settings
		case 12:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Frame Per Second");
			CHS2InfoUniteComboBox->AddString("1-Server Settings #1");
			CHS2InfoUniteComboBox->AddString("2-Server Settings #2");
			CHS2InfoUniteComboBox->AddString("3-Map/Server Name");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 120 - AccelMeter
		case 13:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Angle CounterClockWise");
			CHS2InfoUniteComboBox->AddString("1-Angle ClockWise");
			CHS2InfoUniteComboBox->AddString("2-Acceleration (%)");
			CHS2InfoUniteComboBox->AddString("3-Speed (%)");
			CHS2InfoUniteComboBox->AddString("4-Speed");
			CHS2InfoUniteComboBox->AddString("5-Max Speed");
			CHS2InfoUniteComboBox->AddString("6-XY Acceleration (%)");
			CHS2InfoUniteComboBox->AddString("7-XY Speed (%)");
			CHS2InfoUniteComboBox->AddString("8-XY Speed");
			CHS2InfoUniteComboBox->AddString("9-XY Max Speed");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		// start: 130 - Accelmeter combos
		case 14:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Angle");
			CHS2InfoUniteComboBox->AddString("1-Acceleration/Speed (%)");
			CHS2InfoUniteComboBox->AddString("2-All Speed");
			CHS2InfoUniteComboBox->AddString("3-XY Acceleration/Speed (%)");
			CHS2InfoUniteComboBox->AddString("4-All XY Speed");
			CHS2InfoUniteComboBox->AddString("5-AllAcceleration (%)");
			CHS2InfoUniteComboBox->AddString("6-All Acceleration/Speed (%)");
			CHS2InfoUniteComboBox->AddString("7-All Speed...");			
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

		default:
			CHS2InfoUniteComboBox->ResetContent();
			CHS2InfoUniteComboBox->AddString("0-Empty");
			CHS2InfoUniteComboBox->SetCurSel(0);
			break;

	}
	info2[1][nIndex] = char(CHS2InfoUniteComboBox->GetCurSel());
	
}

void CSliderCtrlPage::OnCbnSelchangeUnitechs2()
{
	CComboBox* CHS2InfoComboBox;
	CHS2InfoComboBox = (CComboBox*) GetDlgItem(IDC_INFONBCHS2);
	GotoDlgCtrl(CHS2InfoComboBox);

	CComboBox* CHS2InfoTypeComboBox;
	CHS2InfoTypeComboBox = (CComboBox*) GetDlgItem(IDC_DIZAINECHS2);
	GotoDlgCtrl(CHS2InfoTypeComboBox);
	
	CComboBox* CHS2InfoUniteComboBox;
	CHS2InfoUniteComboBox = (CComboBox*) GetDlgItem(IDC_UNITECHS2);
	GotoDlgCtrl(CHS2InfoUniteComboBox);
	
	int nIndex = CHS2InfoComboBox->GetCurSel();
	info2[0][nIndex] = char(CHS2InfoTypeComboBox->GetCurSel());
	info2[1][nIndex] = char(CHS2InfoUniteComboBox->GetCurSel());
}




void CSliderCtrlPage::OnNMReleasedcaptureFontsizechs1(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;
	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICFONTCHS1);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS1);
	GotoDlgCtrl(FontSizeSlider);

	Pos = FontSizeSlider->GetPos();	

	FontSizeText->SetWindowText(_T(va("%d%", Pos)));

	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureFontsizechs2(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;
	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICFONTCHS2);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS2);
	GotoDlgCtrl(FontSizeSlider);

	Pos = FontSizeSlider->GetPos();	

	FontSizeText->SetWindowText(_T(va("%d%", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureTransparencychs1(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS1);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS1);
	GotoDlgCtrl(FontSizeSlider);

	Pos = FontSizeSlider->GetPos();	

	FontSizeText->SetWindowText(_T(va("%d%%", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureTransparencychs2(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS2);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCYCHS2);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d%%", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetxchs1(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETXCHS1);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS1);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetxchs2(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETXCHS2);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS2);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetychs1(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETYCHS1);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS1);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetychs2(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETYCHS2);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS2);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureTransparency(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICTRANSPACHS0);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_TRANSPARENCY);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d%%", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureFontsizechs0(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;
	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICFONTCHS0);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_FONTSIZECHS0);
	GotoDlgCtrl(FontSizeSlider);

	Pos = FontSizeSlider->GetPos();	

	FontSizeText->SetWindowText(_T(va("%d%", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetxchs0(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETXCHS0);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETXCHS0);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSliderCtrlPage::OnNMReleasedcaptureOffsetychs0(NMHDR *pNMHDR, LRESULT *pResult)
{
	pNMHDR;
	int Pos;	
	CWnd* FontSizeText;
	FontSizeText = (CWnd*) GetDlgItem(IDC_STATICOFFSETYCHS0);
	GotoDlgCtrl(FontSizeText);
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETYCHS0);
	GotoDlgCtrl(FontSizeSlider);
	Pos = FontSizeSlider->GetPos();	
	FontSizeText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void DecodeInfoTabCHS1(int *tab)
{
	int i;

	for(i=0; i<8; i++)
	{
		switch(info[0][i])
		{
		case 0:
			tab[i] = 0;
			break;

		case 1:// start: 1 - player info
			switch(info[1][i])
			{
			case 0:
				tab[i] = 1;
				break;

			case 1:
				tab[i] = 2;
				break;

			case 2:
				tab[i] = 3;
				break;

			case 3:
				tab[i] = 4;
				break;

			case 4:
				tab[i] = 5;
				break;

			case 5:
				tab[i] = 6;
				break;

			case 6:
				tab[i] = 7;
				break;

			case 7:
				tab[i] = 8;
				break;

			case 8:
				tab[i] = 9;
				break;
			}
			break;

		case 2:// start: 10 - timers
			switch(info[1][i])
			{
			case 0:
				tab[i] = 10;
				break;

			case 1:
				tab[i] = 11;
				break;

			case 2:
				tab[i] = 12;
				break;

			case 3:
				tab[i] = 13;
				break;
			}
			break;

		case 3:// start: 20 - player speed (uses ups)
			switch(info[1][i])
			{
			case 0:
				tab[i] = 20;
				break;

			case 1:
				tab[i] = 21;
				break;

			case 2:
				tab[i] = 22;
				break;

			case 3:
				tab[i] = 23;
				break;

			case 4:
				tab[i] = 24;
				break;

			case 5:
				tab[i] = 25;
				break;

			case 6:
				tab[i] = 26;
				break;

			case 7:
				tab[i] = 27;
				break;

			case 8:
				tab[i] = 28;
				break;
			}
			break;

		case 4:// start: 30 - player position and distances
			switch(info[1][i])
			{
			case 0:
				tab[i] = 30;
				break;

			case 1:
				tab[i] = 31;
				break;

			case 2:
				tab[i] = 32;
				break;

			case 3:
				tab[i] = 33;
				break;

			case 4:
				tab[i] = 34;
				break;

			case 5:
				tab[i] = 35;
				break;

			case 6:
				tab[i] = 36;
				break;

			case 7:
				tab[i] = 37;
				break;

			case 8:
				tab[i] = 38;
				break;
			}
			break;

		case 5:// start: 40 - plane distances (that player is looking at)
			switch(info[1][i])
			{
			case 0:
				tab[i] = 40;
				break;

			case 1:
				tab[i] = 41;
				break;

			case 2:
				tab[i] = 42;
				break;

			case 3:
				tab[i] = 43;
				break;

			case 4:
				tab[i] = 44;
				break;
			}
			break;

		case 6:// start: 50 - overbounce
			switch(info[1][i])
			{
			case 0:
				tab[i] = 50;
				break;

			case 1:
				tab[i] = 51;
				break;

			case 2:
				tab[i] = 52;
				break;

			case 3:
				tab[i] = 53;
				break;

			case 4:
				tab[i] = 54;
				break;

			case 5:
				tab[i] = 55;
				break;
			}
			break;

		case 7:// start: 60 - overbounce
			switch(info[1][i])
			{
			case 0:
				tab[i] = 60;
				break;

			case 1:
				tab[i] = 61;
				break;

			case 2:
				tab[i] = 62;
				break;

			case 3:
				tab[i] = 63;
				break;

			case 4:
				tab[i] = 64;
				break;

			case 5:
				tab[i] = 65;
				break;

			case 6:
				tab[i] = 66;
				break;

			case 7:
				tab[i] = 67;
				break;

			case 8:
				tab[i] = 68;
				break;

			case 9:
				tab[i] = 69;
				break;
			}
			break;

		case 8:// start: 70 - defrag stats
			switch(info[1][i])
			{
			case 0:
				tab[i] = 70;
				break;

			case 1:
				tab[i] = 71;
				break;

			case 2:
				tab[i] = 72;
				break;

			case 3:
				tab[i] = 73;
				break;

			case 4:
				tab[i] = 74;
				break;

			case 5:
				tab[i] = 75;
				break;

			case 6:
				tab[i] = 76;
				break;

			case 7:
				tab[i] = 77;
				break;
			}
			break;

		case 9:// start: 80 - ghost settings
			switch(info[1][i])
			{
			case 0:
				tab[i] = 80;
				break;

			case 1:
				tab[i] = 81;
				break;

			case 2:
				tab[i] = 82;
				break;

			case 3:
				tab[i] = 83;
				break;

			case 4:
				tab[i] = 84;
				break;

			case 5:
				tab[i] = 85;
				break;

			case 6:
				tab[i] = 86;
				break;
			}
			break;

		case 10:// start: 90 - closest ghost info
			switch(info[1][i])
			{
			case 0:
				tab[i] = 90;
				break;

			case 1:
				tab[i] = 91;
				break;

			case 2:
				tab[i] = 92;
				break;

			case 3:
				tab[i] = 93;
				break;

			case 4:
				tab[i] = 94;
				break;

			case 5:
				tab[i] = 95;
				break;

			case 6:
				tab[i] = 98;
				break;

			case 7:
				tab[i] = 99;
				break;
			}
			break;

		case 11:// start: 100 - real life stuff
			switch(info[1][i])
			{
			case 0:
				tab[i] = 100;
				break;

			case 1:
				tab[i] = 101;
				break;

			case 2:
				tab[i] = 102;
				break;

			case 3:
				tab[i] = 103;
				break;

			case 4:
				tab[i] = 104;
				break;

			case 5:
				tab[i] = 105;
				break;

			case 6:
				tab[i] = 106;
				break;

			case 7:
				tab[i] = 107;
				break;
			}
			break;

		case 12:// start: 110 - settings
			switch(info[1][i])
			{
			case 0:
				tab[i] = 110;
				break;

			case 1:
				tab[i] = 111;
				break;

			case 2:
				tab[i] = 112;
				break;

			case 3:
				tab[i] = 113;
				break;
			}
			break;

		case 13:// start: 120 - AccelMeter
			switch(info[1][i])
			{
			case 0:
				tab[i] = 120;
				break;

			case 1:
				tab[i] = 121;
				break;

			case 2:
				tab[i] = 122;
				break;

			case 3:
				tab[i] = 123;
				break;

			case 4:
				tab[i] = 124;
				break;

			case 5:
				tab[i] = 125;
				break;

			case 6:
				tab[i] = 126;
				break;

			case 7:
				tab[i] = 127;
				break;

			case 8:
				tab[i] = 128;
				break;

			case 9:
				tab[i] = 129;
				break;
			}
			break;

		case 14:// start: 130 - Accelmeter combos
			switch(info[1][i])
			{
			case 0:
				tab[i] = 130;
				break;

			case 1:
				tab[i] = 131;
				break;

			case 2:
				tab[i] = 132;
				break;

			case 3:
				tab[i] = 133;
				break;

			case 4:
				tab[i] = 134;
				break;

			case 5:
				tab[i] = 135;
				break;

			case 6:
				tab[i] = 136;
				break;

			case 7:
				tab[i] = 137;
				break;
			}
			break;
		}
	}
}

void DecodeInfoTabCHS2(int *tab)
{
	int i;

	for(i=0; i<8; i++)
	{
		switch(info2[0][i])
		{
		case 0:
			tab[i] = 0;
			break;

		case 1:// start: 1 - player info
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 1;
				break;

			case 1:
				tab[i] = 2;
				break;

			case 2:
				tab[i] = 3;
				break;

			case 3:
				tab[i] = 4;
				break;

			case 4:
				tab[i] = 5;
				break;

			case 5:
				tab[i] = 6;
				break;

			case 6:
				tab[i] = 7;
				break;

			case 7:
				tab[i] = 8;
				break;

			case 8:
				tab[i] = 9;
				break;
			}
			break;

		case 2:// start: 10 - timers
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 10;
				break;

			case 1:
				tab[i] = 11;
				break;

			case 2:
				tab[i] = 12;
				break;

			case 3:
				tab[i] = 13;
				break;
			}
			break;

		case 3:// start: 20 - player speed (uses ups)
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 20;
				break;

			case 1:
				tab[i] = 21;
				break;

			case 2:
				tab[i] = 22;
				break;

			case 3:
				tab[i] = 23;
				break;

			case 4:
				tab[i] = 24;
				break;

			case 5:
				tab[i] = 25;
				break;

			case 6:
				tab[i] = 26;
				break;

			case 7:
				tab[i] = 27;
				break;

			case 8:
				tab[i] = 28;
				break;
			}
			break;

		case 4:// start: 30 - player position and distances
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 30;
				break;

			case 1:
				tab[i] = 31;
				break;

			case 2:
				tab[i] = 32;
				break;

			case 3:
				tab[i] = 33;
				break;

			case 4:
				tab[i] = 34;
				break;

			case 5:
				tab[i] = 35;
				break;

			case 6:
				tab[i] = 36;
				break;

			case 7:
				tab[i] = 37;
				break;

			case 8:
				tab[i] = 38;
				break;
			}
			break;

		case 5:// start: 40 - plane distances (that player is looking at)
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 40;
				break;

			case 1:
				tab[i] = 41;
				break;

			case 2:
				tab[i] = 42;
				break;

			case 3:
				tab[i] = 43;
				break;

			case 4:
				tab[i] = 44;
				break;
			}
			break;

		case 6:// start: 50 - overbounce
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 50;
				break;

			case 1:
				tab[i] = 51;
				break;

			case 2:
				tab[i] = 52;
				break;

			case 3:
				tab[i] = 53;
				break;

			case 4:
				tab[i] = 54;
				break;

			case 5:
				tab[i] = 55;
				break;
			}
			break;

		case 7:// start: 60 - overbounce
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 60;
				break;

			case 1:
				tab[i] = 61;
				break;

			case 2:
				tab[i] = 62;
				break;

			case 3:
				tab[i] = 63;
				break;

			case 4:
				tab[i] = 64;
				break;

			case 5:
				tab[i] = 65;
				break;

			case 6:
				tab[i] = 66;
				break;

			case 7:
				tab[i] = 67;
				break;

			case 8:
				tab[i] = 68;
				break;

			case 9:
				tab[i] = 69;
				break;
			}
			break;

		case 8:// start: 70 - defrag stats
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 70;
				break;

			case 1:
				tab[i] = 71;
				break;

			case 2:
				tab[i] = 72;
				break;

			case 3:
				tab[i] = 73;
				break;

			case 4:
				tab[i] = 74;
				break;

			case 5:
				tab[i] = 75;
				break;

			case 6:
				tab[i] = 76;
				break;

			case 7:
				tab[i] = 77;
				break;
			}
			break;

		case 9:// start: 80 - ghost settings
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 80;
				break;

			case 1:
				tab[i] = 81;
				break;

			case 2:
				tab[i] = 82;
				break;

			case 3:
				tab[i] = 83;
				break;

			case 4:
				tab[i] = 84;
				break;

			case 5:
				tab[i] = 85;
				break;

			case 6:
				tab[i] = 86;
				break;
			}
			break;

		case 10:// start: 90 - closest ghost info
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 90;
				break;

			case 1:
				tab[i] = 91;
				break;

			case 2:
				tab[i] = 92;
				break;

			case 3:
				tab[i] = 93;
				break;

			case 4:
				tab[i] = 94;
				break;

			case 5:
				tab[i] = 95;
				break;

			case 6:
				tab[i] = 98;
				break;

			case 7:
				tab[i] = 99;
				break;
			}
			break;

		case 11:// start: 100 - real life stuff
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 100;
				break;

			case 1:
				tab[i] = 101;
				break;

			case 2:
				tab[i] = 102;
				break;

			case 3:
				tab[i] = 103;
				break;

			case 4:
				tab[i] = 104;
				break;

			case 5:
				tab[i] = 105;
				break;

			case 6:
				tab[i] = 106;
				break;

			case 7:
				tab[i] = 107;
				break;
			}
			break;

		case 12:// start: 110 - settings
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 110;
				break;

			case 1:
				tab[i] = 111;
				break;

			case 2:
				tab[i] = 112;
				break;

			case 3:
				tab[i] = 113;
				break;
			}
			break;

		case 13:// start: 120 - AccelMeter
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 120;
				break;

			case 1:
				tab[i] = 121;
				break;

			case 2:
				tab[i] = 122;
				break;

			case 3:
				tab[i] = 123;
				break;

			case 4:
				tab[i] = 124;
				break;

			case 5:
				tab[i] = 125;
				break;

			case 6:
				tab[i] = 126;
				break;

			case 7:
				tab[i] = 127;
				break;

			case 8:
				tab[i] = 128;
				break;

			case 9:
				tab[i] = 129;
				break;
			}
			break;

		case 14:// start: 130 - Accelmeter combos
			switch(info2[1][i])
			{
			case 0:
				tab[i] = 130;
				break;

			case 1:
				tab[i] = 131;
				break;

			case 2:
				tab[i] = 132;
				break;

			case 3:
				tab[i] = 133;
				break;

			case 4:
				tab[i] = 134;
				break;

			case 5:
				tab[i] = 135;
				break;

			case 6:
				tab[i] = 136;
				break;

			case 7:
				tab[i] = 137;
				break;
			}
			break;
		}
	}
}


