// SpinCtrl.cpp : implementation file
//

// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

#include "stdafx.h"
#include "CmnCtrl2.h"
#include "SpinCtrl.h"
#include "SaveInfoPage.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern char *va(char *fmt, ...);

extern char ghostcfg[1024*5];

/////////////////////////////////////////////////////////////////////////////
// CSpinCtrlPage property page

IMPLEMENT_DYNCREATE(CSpinCtrlPage, CPropertyPage)

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CSpinCtrlPage::CSpinCtrlPage() : CPropertyPage(CSpinCtrlPage::IDD)
{
	//{{AFX_DATA_INIT(CSpinCtrlPage)
	
	//}}AFX_DATA_INIT
	m_psp.dwFlags &= ~PSP_HASHELP;  // Lose the Help button
}

CSpinCtrlPage::~CSpinCtrlPage()
{
}

void CSpinCtrlPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSpinCtrlPage)
	
	//}}AFX_DATA_MAP
}

BOOL CSpinCtrlPage::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	//df_demos_CameraMode [ DEFAULT: 0 (off) RANGE: 0 TO 7 ] - changes the different demos camera mode
	CComboBox* DemosCameraModeComboBox;
	DemosCameraModeComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODEDEMOS);
	GotoDlgCtrl(DemosCameraModeComboBox);
	int dcmcb = DemosCameraModeComboBox->InitStorage(256, 10);
	ASSERT(dcmcb != CB_ERRSPACE);
	DemosCameraModeComboBox->AddString("0-Off");
	DemosCameraModeComboBox->AddString("1-1st Person/Free Cam");
	DemosCameraModeComboBox->AddString("2-1st Person Follow Cam");
	DemosCameraModeComboBox->AddString("3-3rd Person/Free Angles Cam");
	DemosCameraModeComboBox->AddString("4-Savedpos Transition Cam");
	DemosCameraModeComboBox->AddString("5-Savedpos Player-Tracking Cam");
	DemosCameraModeComboBox->AddString("6-Savedpos Cam/No Pitch");
	DemosCameraModeComboBox->AddString("7-Savedpos Cam, No Yaw");

	
	//--------------------------------------------------------------------
	// GHOST CONFIGURATION PANEL
	//--------------------------------------------------------------------

	//df_ghosts_AutoMode [ DEFAULT: 1 RANGE: 0 to 4 STEP: integer ]
	CComboBox* AutoModeComboBox;
	AutoModeComboBox = (CComboBox*) GetDlgItem(IDC_AUTOMODE);
	GotoDlgCtrl(AutoModeComboBox);
	int amcb = AutoModeComboBox->InitStorage(256, 10);
	ASSERT(amcb != CB_ERRSPACE);
	AutoModeComboBox->AddString("0-Off");
	AutoModeComboBox->AddString("1-Record");
	AutoModeComboBox->AddString("2-Play");
	AutoModeComboBox->AddString("3-Demos Record");
	AutoModeComboBox->AddString("4-Demos Play");

	//df_ghosts_NoDrawRadius [ DEFAULT: 0 RANGE: 0 to F STEP: float ]
	CWnd* NoDrawRadius = GetDlgItem(IDC_DRAWRADIUS);

	//----------------------------
	//  GHOST #1
	//----------------------------

	//df_ghost1_RecordFileFormat [ DEFAULT: 2 RANGE: 0 to 2 STEP: integer ]
	CComboBox* RecordFileFormatComboBox;
	RecordFileFormatComboBox = (CComboBox*) GetDlgItem(IDC_RECORDFORMATG1);
	GotoDlgCtrl(RecordFileFormatComboBox);
	int rffcb = RecordFileFormatComboBox->InitStorage(256, 10);
	ASSERT(rffcb != CB_ERRSPACE);
	RecordFileFormatComboBox->AddString("0-Camera");
	RecordFileFormatComboBox->AddString("1-Player Only");
	RecordFileFormatComboBox->AddString("2-All");

	//df_ghost1_RecordInterval [ DEFAULT: 50 RANGE: 0 TO 1000 ] 
	CWnd* RecordInterval = GetDlgItem(IDC_RECORDINTERVAL);

	//df_ghost1_RecordView [ DEFAULT: 0 RANGE: 0 TO 1 ] 
	CButton* RecordViewCheck;
	RecordViewCheck = (CButton*) GetDlgItem(IDC_RECORDVIEW);
	GotoDlgCtrl(RecordViewCheck);

	//df_ghost1_PlayTimescale [ DEFAULT: 1.0 RANGE: -5.0 TO 5.0 STEP: float ]
	CSliderCtrl* PlayTimescaleSlider;
	PlayTimescaleSlider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE);
	GotoDlgCtrl(PlayTimescaleSlider);
	PlayTimescaleSlider->SetRange(-10, 10, FALSE);
	PlayTimescaleSlider->SetTicFreq(2);

	//df_ghost1_PlayDrawPlayer [ DEFAULT: 1 RANGE: 0 TO 4 ] 
	CComboBox* PlayDrawPlayerComboBox;
	PlayDrawPlayerComboBox = (CComboBox*) GetDlgItem(IDC_DRAWPLAYER);
	GotoDlgCtrl(PlayDrawPlayerComboBox);
	int pdpcb = PlayDrawPlayerComboBox->InitStorage(256, 10);
	ASSERT(pdpcb != CB_ERRSPACE);
	PlayDrawPlayerComboBox->AddString("0-Off");
	PlayDrawPlayerComboBox->AddString("1-Normal");
	PlayDrawPlayerComboBox->AddString("2-Invis");
	PlayDrawPlayerComboBox->AddString("3-Invis/Radius");
	PlayDrawPlayerComboBox->AddString("4-Gauntlet Icon");

	//df_ghost1_PlayDrawMissiles [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayDrawMissilesComboBox;
	PlayDrawMissilesComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMISSILES);
	GotoDlgCtrl(PlayDrawMissilesComboBox);
	int pdmcb = PlayDrawMissilesComboBox->InitStorage(256, 10);
	ASSERT(pdmcb != CB_ERRSPACE);
	PlayDrawMissilesComboBox->AddString("0-Off");
	PlayDrawMissilesComboBox->AddString("1-Missiles");
	PlayDrawMissilesComboBox->AddString("2-Explosions");

	//df_ghost1_PlayCameraMode [ DEFAULT: 0 RANGE: 0 TO 12 ] 
	CComboBox* PlayCameraModeComboBox;
	PlayCameraModeComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODE);
	GotoDlgCtrl(PlayCameraModeComboBox);
	int pcmcb = PlayCameraModeComboBox->InitStorage(256, 10);
	ASSERT(pcmcb != CB_ERRSPACE);
	PlayCameraModeComboBox->AddString("00-Off");
	PlayCameraModeComboBox->AddString("01-1st Locked");
	PlayCameraModeComboBox->AddString("02-1st Free");
	PlayCameraModeComboBox->AddString("03-3rd Locked");
	PlayCameraModeComboBox->AddString("04-3rd Free");
	PlayCameraModeComboBox->AddString("05-1st Locked/1st Missile");
	PlayCameraModeComboBox->AddString("06-1st Free/1st Missile");
	PlayCameraModeComboBox->AddString("07-3rd Locked/1st Missile");
	PlayCameraModeComboBox->AddString("08-3rd Free/1st Missile");
	PlayCameraModeComboBox->AddString("09-1st Locked/Last Missile");
	PlayCameraModeComboBox->AddString("10-1st Free/Last Missile");
	PlayCameraModeComboBox->AddString("11-3rd Locked/Last Missile");
	PlayCameraModeComboBox->AddString("12-3rd Free/Last Missile");

	//df_ghost1_PlayLoop [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayLoopComboBox;
	PlayLoopComboBox = (CComboBox*) GetDlgItem(IDC_LOOP);
	GotoDlgCtrl(PlayLoopComboBox);
	int plcb = PlayLoopComboBox->InitStorage(256, 10);
	ASSERT(plcb != CB_ERRSPACE);
	PlayLoopComboBox->AddString("0-Off");
	PlayLoopComboBox->AddString("1-On");
	PlayLoopComboBox->AddString("2-Pause");


	//----------------------------
	//  GHOST #2
	//----------------------------

	//df_ghost2_RecordFileFormat [ DEFAULT: 2 RANGE: 0 to 2 STEP: integer ]
	CComboBox* RecordFileFormat2ComboBox;
	RecordFileFormat2ComboBox = (CComboBox*) GetDlgItem(IDC_RECORDFORMATG2);
	GotoDlgCtrl(RecordFileFormat2ComboBox);
	int rffcb2 = RecordFileFormat2ComboBox->InitStorage(256, 10);
	ASSERT(rffcb2 != CB_ERRSPACE);
	RecordFileFormat2ComboBox->AddString("0-Camera");
	RecordFileFormat2ComboBox->AddString("1-Player Only");
	RecordFileFormat2ComboBox->AddString("2-All");

	//df_ghost2_RecordInterval [ DEFAULT: 50 RANGE: 0 TO 1000 ] 
	CWnd* RecordInterval2 = GetDlgItem(IDC_RECORDINTERVAL2);

	//df_ghost2_RecordView [ DEFAULT: 0 RANGE: 0 TO 1 ] 
	CButton* RecordView2Check;
	RecordView2Check = (CButton*) GetDlgItem(IDC_RECORDVIEW2);
	GotoDlgCtrl(RecordView2Check);

	//df_ghost2_PlayTimescale [ DEFAULT: 1.0 RANGE: -5.0 TO 5.0 STEP: float ]
	CSliderCtrl* PlayTimescale2Slider;
	PlayTimescale2Slider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE2);
	GotoDlgCtrl(PlayTimescale2Slider);
	PlayTimescale2Slider->SetRange(-10, 10, FALSE);
	PlayTimescale2Slider->SetTicFreq(2);

	//df_ghost1_PlayDrawPlayer [ DEFAULT: 1 RANGE: 0 TO 4 ] 
	CComboBox* PlayDrawPlayer2ComboBox;
	PlayDrawPlayer2ComboBox = (CComboBox*) GetDlgItem(IDC_DRAWPLAYER2);
	GotoDlgCtrl(PlayDrawPlayer2ComboBox);
	int pdpcb2 = PlayDrawPlayer2ComboBox->InitStorage(256, 10);
	ASSERT(pdpcb2 != CB_ERRSPACE);
	PlayDrawPlayer2ComboBox->AddString("0-Off");
	PlayDrawPlayer2ComboBox->AddString("1-Normal");
	PlayDrawPlayer2ComboBox->AddString("2-Invis");
	PlayDrawPlayer2ComboBox->AddString("3-Invis/Radius");
	PlayDrawPlayer2ComboBox->AddString("4-Gauntlet Icon");

	//df_ghost2_PlayDrawMissiles [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayDrawMissiles2ComboBox;
	PlayDrawMissiles2ComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMISSILES2);
	GotoDlgCtrl(PlayDrawMissiles2ComboBox);
	int pdmcb2 = PlayDrawMissiles2ComboBox->InitStorage(256, 10);
	ASSERT(pdmcb2 != CB_ERRSPACE);
	PlayDrawMissiles2ComboBox->AddString("0-Off");
	PlayDrawMissiles2ComboBox->AddString("1-Missiles");
	PlayDrawMissiles2ComboBox->AddString("2-Explosions");

	//df_ghost2_PlayCameraMode [ DEFAULT: 0 RANGE: 0 TO 12 ] 
	CComboBox* PlayCameraMode2ComboBox;
	PlayCameraMode2ComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODE2);
	GotoDlgCtrl(PlayCameraMode2ComboBox);
	int pcmcb2 = PlayCameraMode2ComboBox->InitStorage(256, 10);
	ASSERT(pcmcb2 != CB_ERRSPACE);
	PlayCameraMode2ComboBox->AddString("00-Off");
	PlayCameraMode2ComboBox->AddString("01-1st Locked");
	PlayCameraMode2ComboBox->AddString("02-1st Free");
	PlayCameraMode2ComboBox->AddString("03-3rd Locked");
	PlayCameraMode2ComboBox->AddString("04-3rd Free");
	PlayCameraMode2ComboBox->AddString("05-1st Locked/1st Missile");
	PlayCameraMode2ComboBox->AddString("06-1st Free/1st Missile");
	PlayCameraMode2ComboBox->AddString("07-3rd Locked/1st Missile");
	PlayCameraMode2ComboBox->AddString("08-3rd Free/1st Missile");
	PlayCameraMode2ComboBox->AddString("09-1st Locked/Last Missile");
	PlayCameraMode2ComboBox->AddString("10-1st Free/Last Missile");
	PlayCameraMode2ComboBox->AddString("11-3rd Locked/Last Missile");
	PlayCameraMode2ComboBox->AddString("12-3rd Free/Last Missile");

	//df_ghost2_PlayLoop [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayLoop2ComboBox;
	PlayLoop2ComboBox = (CComboBox*) GetDlgItem(IDC_LOOP2);
	GotoDlgCtrl(PlayLoop2ComboBox);
	int plcb2 = PlayLoop2ComboBox->InitStorage(256, 10);
	ASSERT(plcb2 != CB_ERRSPACE);
	PlayLoop2ComboBox->AddString("0-Off");
	PlayLoop2ComboBox->AddString("1-On");
	PlayLoop2ComboBox->AddString("2-Pause");

	//==================================================
	//                AccelMeter
	//==================================================

	//df_accel_Draw [ DEFAULT: 0 (off) RANGE: 0 TO 3 ] - turns display on/off
	
	CComboBox* AccelDrawComboBox;
	AccelDrawComboBox = (CComboBox*) GetDlgItem(IDC_DRAWACCEL);
	GotoDlgCtrl(AccelDrawComboBox);
	int adcb = AccelDrawComboBox->InitStorage(256, 10);
	ASSERT(adcb != CB_ERRSPACE);
	AccelDrawComboBox->AddString("0-Off");
	AccelDrawComboBox->AddString("1-Always On");
	AccelDrawComboBox->AddString("2-Demos Only");
	AccelDrawComboBox->AddString("3-Never Demos");

	//df_accel_FontSize [ DEFAULT: 7 RANGE: 4 TO 50 ] - changes font size
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_ACCELFONTSIZE);
	GotoDlgCtrl(FontSizeSlider);
	FontSizeSlider->SetRange(4, 50, FALSE);
	FontSizeSlider->SetTicFreq(7);

	//df_accel_Mode [ DEFAULT: 0 RANGE: 0 TO 2 ] - changes the display type for the accelmeter.
	CComboBox* AccelModeComboBox;
	AccelModeComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMODE);
	GotoDlgCtrl(AccelModeComboBox);
	int amcb2 = AccelModeComboBox->InitStorage(256, 10);
	ASSERT(amcb2 != CB_ERRSPACE);
	AccelModeComboBox->AddString("0-Crosshair");
	AccelModeComboBox->AddString("1- +/o");
	AccelModeComboBox->AddString("2- +/+");

	//df_accel_Output [ DEFAULT: 0 (off) RANGE: 0 TO 1 ] 
	CButton* AccelOutputCheck;
	AccelOutputCheck = (CButton*) GetDlgItem(IDC_ACCELOUTPUT);
	GotoDlgCtrl(AccelOutputCheck);

	//df_accel_OffsetX [ DEFAULT: 0 RANGE: -320 TO 320 ]
	CSliderCtrl* AccelOffsetXSlider;
	AccelOffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETX);
	GotoDlgCtrl(AccelOffsetXSlider);
	AccelOffsetXSlider->SetRange(-320, 320, FALSE);
	AccelOffsetXSlider->SetTicFreq(60);

	//df_accel_OffsetY [ DEFAULT: 0 RANGE: -240 TO 240 ]
	CSliderCtrl* AccelOffsetYSlider;
	AccelOffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETY);
	GotoDlgCtrl(AccelOffsetYSlider);
	AccelOffsetYSlider->SetRange(-240, 240, FALSE);
	AccelOffsetYSlider->SetTicFreq(40);

	//df_accel_Scale [ DEFAULT: -1.2 RANGE: -F TO F TYPE: float ]
	CWnd* AccelScale = GetDlgItem(IDC_ACCELSCALE);


	//Initialisation

	DemosCameraModeComboBox->SetCurSel(0);
	AutoModeComboBox->SetCurSel(1);
	NoDrawRadius->SetWindowText(_T("0"));

	RecordFileFormatComboBox->SetCurSel(2);
	RecordInterval->SetWindowText(_T("50"));
	PlayTimescaleSlider->SetPos(1);
	PlayDrawPlayerComboBox->SetCurSel(1);
	PlayDrawMissilesComboBox->SetCurSel(0);
	PlayCameraModeComboBox->SetCurSel(0);
	PlayLoopComboBox->SetCurSel(0);

	RecordFileFormat2ComboBox->SetCurSel(2);
	RecordInterval2->SetWindowText(_T("50"));
	PlayTimescale2Slider->SetPos(1);
	PlayDrawPlayer2ComboBox->SetCurSel(1);
	PlayDrawMissiles2ComboBox->SetCurSel(0);
	PlayCameraMode2ComboBox->SetCurSel(0);
	PlayLoop2ComboBox->SetCurSel(0);

	AccelDrawComboBox->SetCurSel(0);
	FontSizeSlider->SetPos(7);
	AccelModeComboBox->SetCurSel(0);
	AccelOffsetXSlider->SetPos(0);
	AccelOffsetYSlider->SetPos(0);
	AccelScale->SetWindowText(_T("-1.2"));

	return TRUE;
}

BEGIN_MESSAGE_MAP(CSpinCtrlPage, CPropertyPage)
	//{{AFX_MSG_MAP(CSpinCtrlPage)
	
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_STORE, OnBnClickedStore)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TIMESCALE, OnNMReleasedcaptureTimescale)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_TIMESCALE2, OnNMReleasedcaptureTimescale2)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETX, OnNMReleasedcaptureOffsetx)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_OFFSETY, OnNMReleasedcaptureOffsety)
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_ACCELFONTSIZE, OnNMReleasedcaptureAccelfontsize)
END_MESSAGE_MAP()



void CSpinCtrlPage::OnBnClickedStore()
{
	CString str;
	double SliderPos;

	//df_demos_CameraMode [ DEFAULT: 0 (off) RANGE: 0 TO 7 ] - changes the different demos camera mode
	CComboBox* DemosCameraModeComboBox;
	DemosCameraModeComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODEDEMOS);
	GotoDlgCtrl(DemosCameraModeComboBox);

	//df_ghosts_AutoMode [ DEFAULT: 1 RANGE: 0 to 4 STEP: integer ]
	CComboBox* AutoModeComboBox;
	AutoModeComboBox = (CComboBox*) GetDlgItem(IDC_AUTOMODE);
	GotoDlgCtrl(AutoModeComboBox);

	//df_ghosts_NoDrawRadius [ DEFAULT: 0 RANGE: 0 to F STEP: float ]
	CWnd* NoDrawRadius = GetDlgItem(IDC_DRAWRADIUS);

	//----------------------------
	//  GHOST #1
	//----------------------------

	//df_ghost1_RecordFileFormat [ DEFAULT: 2 RANGE: 0 to 2 STEP: integer ]
	CComboBox* RecordFileFormatComboBox;
	RecordFileFormatComboBox = (CComboBox*) GetDlgItem(IDC_RECORDFORMATG1);
	GotoDlgCtrl(RecordFileFormatComboBox);

	//df_ghost1_RecordInterval [ DEFAULT: 50 RANGE: 0 TO 1000 ] 
	CWnd* RecordInterval = GetDlgItem(IDC_RECORDINTERVAL);

	//df_ghost1_RecordView [ DEFAULT: 0 RANGE: 0 TO 1 ] 
	CButton* RecordViewCheck;
	RecordViewCheck = (CButton*) GetDlgItem(IDC_RECORDVIEW);
	GotoDlgCtrl(RecordViewCheck);

	//df_ghost1_PlayTimescale [ DEFAULT: 1.0 RANGE: -5.0 TO 5.0 STEP: float ]
	CSliderCtrl* PlayTimescaleSlider;
	PlayTimescaleSlider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE);
	GotoDlgCtrl(PlayTimescaleSlider);

	//df_ghost1_PlayDrawPlayer [ DEFAULT: 1 RANGE: 0 TO 4 ] 
	CComboBox* PlayDrawPlayerComboBox;
	PlayDrawPlayerComboBox = (CComboBox*) GetDlgItem(IDC_DRAWPLAYER);
	GotoDlgCtrl(PlayDrawPlayerComboBox);
	
	//df_ghost1_PlayDrawMissiles [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayDrawMissilesComboBox;
	PlayDrawMissilesComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMISSILES);
	GotoDlgCtrl(PlayDrawMissilesComboBox);
	
	//df_ghost1_PlayCameraMode [ DEFAULT: 0 RANGE: 0 TO 12 ] 
	CComboBox* PlayCameraModeComboBox;
	PlayCameraModeComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODE);
	GotoDlgCtrl(PlayCameraModeComboBox);
	
	//df_ghost1_PlayLoop [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayLoopComboBox;
	PlayLoopComboBox = (CComboBox*) GetDlgItem(IDC_LOOP);
	GotoDlgCtrl(PlayLoopComboBox);

	//----------------------------
	//  GHOST #2
	//----------------------------

	//df_ghost2_RecordFileFormat [ DEFAULT: 2 RANGE: 0 to 2 STEP: integer ]
	CComboBox* RecordFileFormat2ComboBox;
	RecordFileFormat2ComboBox = (CComboBox*) GetDlgItem(IDC_RECORDFORMATG2);
	GotoDlgCtrl(RecordFileFormat2ComboBox);
	
	//df_ghost2_RecordInterval [ DEFAULT: 50 RANGE: 0 TO 1000 ] 
	CWnd* RecordInterval2 = GetDlgItem(IDC_RECORDINTERVAL2);

	//df_ghost2_RecordView [ DEFAULT: 0 RANGE: 0 TO 1 ] 
	CButton* RecordView2Check;
	RecordView2Check = (CButton*) GetDlgItem(IDC_RECORDVIEW2);
	GotoDlgCtrl(RecordView2Check);

	//df_ghost2_PlayTimescale [ DEFAULT: 1.0 RANGE: -5.0 TO 5.0 STEP: float ]
	CSliderCtrl* PlayTimescale2Slider;
	PlayTimescale2Slider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE2);
	GotoDlgCtrl(PlayTimescale2Slider);
	
	//df_ghost1_PlayDrawPlayer [ DEFAULT: 1 RANGE: 0 TO 4 ] 
	CComboBox* PlayDrawPlayer2ComboBox;
	PlayDrawPlayer2ComboBox = (CComboBox*) GetDlgItem(IDC_DRAWPLAYER2);
	GotoDlgCtrl(PlayDrawPlayer2ComboBox);
	
	//df_ghost2_PlayDrawMissiles [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayDrawMissiles2ComboBox;
	PlayDrawMissiles2ComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMISSILES2);
	GotoDlgCtrl(PlayDrawMissiles2ComboBox);
	
	//df_ghost2_PlayCameraMode [ DEFAULT: 0 RANGE: 0 TO 12 ] 
	CComboBox* PlayCameraMode2ComboBox;
	PlayCameraMode2ComboBox = (CComboBox*) GetDlgItem(IDC_CAMERAMODE2);
	GotoDlgCtrl(PlayCameraMode2ComboBox);
	
	//df_ghost2_PlayLoop [ DEFAULT: 0 RANGE: 0 TO 2 ]
	CComboBox* PlayLoop2ComboBox;
	PlayLoop2ComboBox = (CComboBox*) GetDlgItem(IDC_LOOP2);
	GotoDlgCtrl(PlayLoop2ComboBox);

	//==================================================
	//                AccelMeter
	//==================================================

	//df_accel_Draw [ DEFAULT: 0 (off) RANGE: 0 TO 3 ] - turns display on/off
	
	CComboBox* AccelDrawComboBox;
	AccelDrawComboBox = (CComboBox*) GetDlgItem(IDC_DRAWACCEL);
	GotoDlgCtrl(AccelDrawComboBox);
	
	//df_accel_FontSize [ DEFAULT: 7 RANGE: 4 TO 50 ] - changes font size
	CSliderCtrl* FontSizeSlider;
	FontSizeSlider = (CSliderCtrl*) GetDlgItem(IDC_ACCELFONTSIZE);
	GotoDlgCtrl(FontSizeSlider);
	
	//df_accel_Mode [ DEFAULT: 0 RANGE: 0 TO 2 ] - changes the display type for the accelmeter.
	CComboBox* AccelModeComboBox;
	AccelModeComboBox = (CComboBox*) GetDlgItem(IDC_DRAWMODE);
	GotoDlgCtrl(AccelModeComboBox);
	
	//df_accel_Output [ DEFAULT: 0 (off) RANGE: 0 TO 1 ] 
	CButton* AccelOutputCheck;
	AccelOutputCheck = (CButton*) GetDlgItem(IDC_ACCELOUTPUT);
	GotoDlgCtrl(AccelOutputCheck);

	//df_accel_OffsetX [ DEFAULT: 0 RANGE: -320 TO 320 ]
	CSliderCtrl* AccelOffsetXSlider;
	AccelOffsetXSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETX);
	GotoDlgCtrl(AccelOffsetXSlider);
	
	//df_accel_OffsetY [ DEFAULT: 0 RANGE: -240 TO 240 ]
	CSliderCtrl* AccelOffsetYSlider;
	AccelOffsetYSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETY);
	GotoDlgCtrl(AccelOffsetYSlider);
	
	//df_accel_Scale [ DEFAULT: -1.2 RANGE: -F TO F TYPE: float ]
	CWnd* AccelScale = GetDlgItem(IDC_ACCELSCALE);	

	ghostcfg[0] = 0;

	int nIndex = DemosCameraModeComboBox->GetCurSel();
	strcat(ghostcfg, "\n\n//Camera Mode\n");
	strcat(ghostcfg, va("set df_demos_CameraMode %d\n", nIndex));

	
	strcat(ghostcfg, "\n\n//Ghost Settings\n\n");

	nIndex = AutoModeComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghosts_AutoMode %d\n", nIndex));

	NoDrawRadius->GetWindowText(str);
	strcat(ghostcfg, va("set df_ghosts_NoDrawRadius %s\n", str));

	strcat(ghostcfg, "\n//Ghost #1\n");

	nIndex = RecordFileFormatComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost1_RecordFileFormat %d\n", nIndex));

	RecordInterval->GetWindowText(str);
	strcat(ghostcfg, va("set df_ghost1_RecordInterval %s\n", str));

	int RecordView = RecordViewCheck->GetState() & 0x0003;
	strcat(ghostcfg, va("set df_ghost1_RecordView %d\n", RecordView));

	SliderPos = PlayTimescaleSlider->GetPos();
	strcat(ghostcfg, va("set df_ghost1_PlayTimescale %f\n", SliderPos));
	
	nIndex = PlayDrawPlayerComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost1_PlayDrawPlayer %d\n", nIndex));

	nIndex = PlayDrawMissilesComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost1_PlayDrawMissiles %d\n", nIndex));

	nIndex = PlayCameraModeComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost1_PlayCameraMode %d\n", nIndex));

	nIndex = PlayLoopComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost1_PlayLoop %d\n", nIndex));

	strcat(ghostcfg, "\n//Ghost #2\n");

	nIndex = RecordFileFormat2ComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost2_RecordFileFormat %d\n", nIndex));

	RecordInterval2->GetWindowText(str);
	strcat(ghostcfg, va("set df_ghost2_RecordInterval %s\n", str));

	int RecordView2 = RecordView2Check->GetState() & 0x0003;
	strcat(ghostcfg, va("set df_ghost2_RecordView %d\n", RecordView2));

	SliderPos = PlayTimescale2Slider->GetPos();
	strcat(ghostcfg, va("set df_ghost2_PlayTimescale %f\n", SliderPos));
	
	nIndex = PlayDrawPlayer2ComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost2_PlayDrawPlayer %d\n", nIndex));

	nIndex = PlayDrawMissiles2ComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost2_PlayDrawMissiles %d\n", nIndex));

	nIndex = PlayCameraMode2ComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost2_PlayCameraMode %d\n", nIndex));

	nIndex = PlayLoop2ComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_ghost2_PlayLoop %d\n", nIndex));

	strcat(ghostcfg, "\n\n//Accel Meter Settings\n");

	nIndex = AccelDrawComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_accel_Draw %d\n", nIndex));

	SliderPos = FontSizeSlider->GetPos();
	strcat(ghostcfg, va("set df_accel_FontSize %f\n", SliderPos));

	nIndex = AccelModeComboBox->GetCurSel();
	strcat(ghostcfg, va("set df_accel_Mode %d\n", nIndex));
    
	int AccelOutput = AccelOutputCheck->GetState() & 0x0003;
	strcat(ghostcfg, va("set df_accel_Output %d\n", AccelOutput));

	SliderPos = AccelOffsetXSlider->GetPos();
	strcat(ghostcfg, va("set df_accel_OffsetX %f\n", SliderPos));

	SliderPos = AccelOffsetYSlider->GetPos();
	strcat(ghostcfg, va("set df_accel_OffsetY %f\n", SliderPos));

	AccelScale->GetWindowText(str);
	strcat(ghostcfg, va("set df_accel_Scale %s\n", str));

}

void CSpinCtrlPage::OnNMReleasedcaptureTimescale(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* TimeScaleText;
	TimeScaleText = (CWnd*) GetDlgItem(IDC_STATICTIMESCALE);
	GotoDlgCtrl(TimeScaleText);
	CSliderCtrl* TimeScaleSlider;
	TimeScaleSlider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE);
	GotoDlgCtrl(TimeScaleSlider);

	Pos = TimeScaleSlider->GetPos();	

	TimeScaleText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSpinCtrlPage::OnNMReleasedcaptureTimescale2(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* TimeScaleText;
	TimeScaleText = (CWnd*) GetDlgItem(IDC_STATICTIMESCALE2);
	GotoDlgCtrl(TimeScaleText);
	CSliderCtrl* TimeScaleSlider;
	TimeScaleSlider = (CSliderCtrl*) GetDlgItem(IDC_TIMESCALE2);
	GotoDlgCtrl(TimeScaleSlider);

	Pos = TimeScaleSlider->GetPos();	

	TimeScaleText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSpinCtrlPage::OnNMReleasedcaptureOffsetx(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* TimeScaleText;
	TimeScaleText = (CWnd*) GetDlgItem(IDC_STATICOFFSETX);
	GotoDlgCtrl(TimeScaleText);
	CSliderCtrl* TimeScaleSlider;
	TimeScaleSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETX);
	GotoDlgCtrl(TimeScaleSlider);

	Pos = TimeScaleSlider->GetPos();	

	TimeScaleText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSpinCtrlPage::OnNMReleasedcaptureOffsety(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* TimeScaleText;
	TimeScaleText = (CWnd*) GetDlgItem(IDC_STATICOFFSETY);
	GotoDlgCtrl(TimeScaleText);
	CSliderCtrl* TimeScaleSlider;
	TimeScaleSlider = (CSliderCtrl*) GetDlgItem(IDC_OFFSETY);
	GotoDlgCtrl(TimeScaleSlider);

	Pos = TimeScaleSlider->GetPos();	

	TimeScaleText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}

void CSpinCtrlPage::OnNMReleasedcaptureAccelfontsize(NMHDR *pNMHDR, LRESULT *pResult)
{
	int Pos;
	pNMHDR;
	CWnd* TimeScaleText;
	TimeScaleText = (CWnd*) GetDlgItem(IDC_STATICACCELFONTSIZE);
	GotoDlgCtrl(TimeScaleText);
	CSliderCtrl* TimeScaleSlider;
	TimeScaleSlider = (CSliderCtrl*) GetDlgItem(IDC_ACCELFONTSIZE);
	GotoDlgCtrl(TimeScaleSlider);

	Pos = TimeScaleSlider->GetPos();	

	TimeScaleText->SetWindowText(_T(va("%d", Pos)));
	*pResult = 0;
}
