VERSION 5.00
Begin VB.Form Main 
   BackColor       =   &H00505000&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "DeFRaG Records Tool (version 1.01) by oZonE-juNkie"
   ClientHeight    =   7935
   ClientLeft      =   750
   ClientTop       =   1530
   ClientWidth     =   5535
   Icon            =   "Main.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7935
   ScaleWidth      =   5535
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox Text2 
      Height          =   5895
      Left            =   2880
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   3
      Top             =   1080
      Width           =   2535
   End
   Begin VB.CommandButton CreateMasterRecordsFile 
      Caption         =   "Create DeFRaG Master Records File"
      Height          =   735
      Left            =   120
      TabIndex        =   2
      Top             =   7080
      Width           =   5295
   End
   Begin VB.TextBox Text1 
      Height          =   5895
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   1
      Top             =   1080
      Width           =   2535
   End
   Begin VB.ListBox RecordsList 
      Height          =   255
      Left            =   120
      Sorted          =   -1  'True
      TabIndex        =   0
      Top             =   120
      Visible         =   0   'False
      Width           =   1215
   End
   Begin VB.Image Image1 
      Height          =   885
      Left            =   120
      Picture         =   "Main.frx":030A
      Top             =   120
      Width           =   5310
   End
End
Attribute VB_Name = "Main"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const Q3CONFIG_FILE = "q3config.cfg"

Const RECFILE_DIR_1 = "records\"
Const RECFILE_DIR_2 = "records_cpm\"
Const RECFILE_EXT = ".rec"

Const MASTERRECFILE_PREFIX = "[RECORDS]"
Const MASTERRECFILE_EXT = ".txt"

Const HEADER_0 = "++ Created with: DeFRaG Records Tool (version 1.01, author: oZonE-juNkie (o3j) (OzoneJunkie@hotmail.com)) ++"
Const HEADER_1 = "---------------------------"
Const HEADER_2 = "    TIME         MAP"
Const HEADER_3 = "    ++ VQ3 Records ++"
Const HEADER_4 = "    ++ CPM Records ++"
Const TIME_SEPARATOR = ":"

Const DF_PLAYER = "df_name"
Const S_DEFAULT_PLAYER = "PlayerName"

Dim gPlayerName As String

Private Sub CreateMasterRecordsFile_Click()
    
    Dim strMasterRecordsFileName As String
    Dim strPlayerName As String
    
    Text1.Text = ProcessRecFiles(RECFILE_DIR_1)
    Text2.Text = ProcessRecFiles(RECFILE_DIR_2)
    
    strPlayerName = gPlayerName
    
    strMasterRecordsFileName = CurDir + "\" + MASTERRECFILE_PREFIX + strPlayerName + MASTERRECFILE_EXT
    Open strMasterRecordsFileName For Output Access Write As #1
    Print #1, HEADER_0
    Print #1, "[ DEFRAG MASTER RECORDS FILE GENERATED ON: " + CStr(Now()) + " FOR PLAYER: " + gPlayerName + " ]" + vbCrLf
    Print #1, Text1.Text + vbCrLf + Text2.Text
    Close #1
    
End Sub

Private Function ReadPlayerNameFromConfig() As String
    On Error GoTo ErrReadPlayerNameFromConfig:
    
    Dim strFileNameAndPath As String
    Dim strNextLine As String
    Dim nPlayerNamePosStart As Integer
    Dim nPlayerNamePosEnd As Integer
    
    ReadPlayerNameFromConfig = S_DEFAULT_PLAYER
    
    strFileNameAndPath = CurDir + "\" + Q3CONFIG_FILE
    
    Open strFileNameAndPath For Input Access Read As #1
    
    Do Until EOF(1)
        Line Input #1, strNextLine
        
        nPlayerNamePosStart = InStr(1, strNextLine, DF_PLAYER)
        
        If (nPlayerNamePosStart <> 0) Then
            nPlayerNamePosStart = nPlayerNamePosStart + Len(DF_PLAYER) + 2
            nPlayerNamePosEnd = InStr(nPlayerNamePosStart, strNextLine, Chr$(34), vbTextCompare)
            
            If (nPlayerNamePosStart <> 0) And (nPlayerNamePosEnd <> 0) And (nPlayerNamePosStart < nPlayerNamePosEnd) Then
                ReadPlayerNameFromConfig = Mid$(strNextLine, nPlayerNamePosStart, nPlayerNamePosEnd - nPlayerNamePosStart)
                Close #1
                Exit Function
            End If
        End If
    Loop
    
    Close #1
    
    Exit Function

ErrReadPlayerNameFromConfig:

End Function

Private Function ProcessRecFiles(strRecDir) As String

    Dim strText As String
    
    Dim strFileName As String
    Dim strFileNameNoExt As String
    Dim strPath As String
    Dim strFileNameAndPath As String
    
    Dim strLinesFromFile As String
    Dim strNextLine As String
    
    Dim strExtractedTime As String
    Dim strConvertedTime As String
    
    Dim Time(0)
    Dim nCounter
    
    RecordsList.Clear
    
    strPath = CurDir + "\"
    
    'sort the rec files first
    strFileNameAndPath = strPath + strRecDir + "*" + RECFILE_EXT
    strFileName = Dir(strFileNameAndPath)
    strFileNameAndPath = strPath + strRecDir + strFileName
   
    Do While strFileName <> ""
        RecordsList.AddItem strFileName
        strFileName = Dir
    Loop
    
    If (RecordsList.ListCount = 0) Then
        Exit Function
    End If
    
    strText = ""
    If (strRecDir = RECFILE_DIR_1) Then
        strText = strText + HEADER_3 + vbCrLf
    Else
        strText = strText + HEADER_4 + vbCrLf
    End If
    
    strText = strText + HEADER_1 + vbCrLf
    strText = strText + HEADER_2 + vbCrLf
    strText = strText + HEADER_1 + vbCrLf
    
    For nCounter = 0 To RecordsList.ListCount - 1 Step 1
        
        strFileName = CStr(RecordsList.List(nCounter))
        strFileNameAndPath = strPath + strRecDir + strFileName
        strFileNameNoExt = Left(strFileName, Len(strFileName) - 4)
        
        strLinesFromFile = ""
        strNextLine = ""
        
        Open strFileNameAndPath For Input Access Read As #1
        
        Do Until EOF(1)
           Line Input #1, strNextLine
           strLinesFromFile = strLinesFromFile + strNextLine
        Loop
        
        Close #1
        
        If (Len(strNextLine)) Then
            Time(0) = Split(strNextLine, " ")
            strExtractedTime = CStr(Time(0)(0))
            strConvertedTime = ConvertRecordTimeToNormalTime(strExtractedTime)
            strText = strText + strConvertedTime + " --> " + strFileNameNoExt + vbCrLf
        End If
        
    Next
    
    ProcessRecFiles = strText
    
End Function

Private Function ConvertRecordTimeToNormalTime(strRecordTime As String) As String
    
    Dim strConvertedTime As String
    Dim strMinutes As String
    Dim strSeconds As String
    Dim strFractionalSeconds As String
    
    strConvertedTime = ""
    strMinutes = "00"
    strSeconds = "00"
    strFractionalSeconds = "00"
    
    'exit if nothing to process
    If (Len(strRecordTime) = 0) Then
        Exit Function
    End If
    
    'get partial seconds
    strFractionalSeconds = Right(strRecordTime, 3)
    
    'get seconds
    If (Len(strRecordTime) > 3) Then
        strSeconds = Mid(strRecordTime, 1, Len(strRecordTime) - 3)
    End If
    
    'convert seconds to minutes:seconds
    If (Len(strSeconds) > 1) Then
        If (CInt(strSeconds) > 59) Then
            strMinutes = CStr(Fix(CInt(strSeconds) / 60))
            strSeconds = CStr(CInt(strSeconds) - (CInt(strMinutes) * 60))
        End If
    End If
    
    'build converted time
    strConvertedTime = ""
    strConvertedTime = strConvertedTime + AddZeroPrefix(strMinutes) + TIME_SEPARATOR
    strConvertedTime = strConvertedTime + AddZeroPrefix(strSeconds) + TIME_SEPARATOR
    strConvertedTime = strConvertedTime + strFractionalSeconds
    
    ConvertRecordTimeToNormalTime = strConvertedTime

End Function

Private Function AddZeroPrefix(strValue) As String

    AddZeroPrefix = strValue

    If (Len(strValue) = 0) Then
        AddZeroPrefix = "00"
    End If
    
    If (Len(strValue) = 1) Then
        AddZeroPrefix = "0" + strValue
    End If

End Function

Private Sub Form_Load()

    gPlayerName = ReadPlayerNameFromConfig
    CreateMasterRecordsFile.Caption = "Create DeFRaG Master Records File For: " + gPlayerName

End Sub
